clear
set more off
set mem 100m
*generating 00_BASICINFO.dta
cd "C:\Africa\Ghana\GLSS4-1998"
*---------------------------------------------
use "02_CLEANDATA\SEC0A", clear
des
*number of obsns at the beginning 5,998
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*5,998 unique values generated
*---------------------------------------------
*REGION
tab region,miss
*CHECK: Consistently coded; No missing values
gen REGION=region
*---------------------------------------------
*RURURB
tab loc2,miss
*CHECK: Consistently coded; No missing values
recode loc2(1=2)(2=1),gen (RURURB)
*---------------------------------------------
sort HID
save "04_AGGDATA\BASICINFO", replace
*---------------------------------------------
use "02_CLEANDATA\SEC1", clear
des
*Number of observations 26,411
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID 
*5,998 unique values generated
*---------------------------------------------
*HHSIZE_S
bysort HID: gen HHSIZE_S =_N
*---------------------------------------------
*nonmember
tab s1q23, m
/*CHECK: Consistently coded; No missing values
1. 717 individuals are not household members.*/
egen nonmember= sum(s1q23) if s1q23==2, by (HID)
replace nonmember=nonmember/2
tab nonmember,m
*---------------------------------------------
collapse HHSIZE_S nonmember, by (HID)
des
*number of observations 5,998
*---------------------------------------------
*HHSIZE
gen HHSIZE = HHSIZE_S 
replace HHSIZE = HHSIZE - nonmember if nonmember!=.
tab HHSIZE,m
*CHECK: Consistently coded; no missing values
*---------------------------------------------
sort HID
merge HID using 04_AGGDATA\BASICINFO
tab _merge
/*CHECK: Correctly merged
3=5,998*/
drop _merge
sort HID
save "04_AGGDATA\BASICINFO", replace
*---------------------------------------------
use	"01_RAWDATA\RAWDATA_SHIP\POVERTY\POV_GH",	clear
des
*number of observations = 5,998
*---------------------------------------------
egen HID = concat(clust nh), p(/)
sort HID
*---------------------------------------------
*WTA_HH
gen WTA_HH=weight
*---------------------------------------------
sort HID
merge HID using 04_AGGDATA\BASICINFO
tab _merge
/*CHECK: Correctly merged
3=5,998*/
drop _merge
des
*number of observations = 5,998
*---------------------------------------------
sort HID
*---------------------------------------------
*SURVEYR
gen SURVEYR = 1998
*---------------------------------------------
*COUNTRY 
gen COUNTRY = "GHA"
*---------------------------------------------
*WTA_POP
gen WTA_POP=WTA_HH*HHSIZE
*---------------------------------------------
*labeling the variables
label var HID "Household unique ID"
label def region 1"Western" ///
	2"Central" ///
	3"Greater Accra" ///
	4"Eastern" ///
	5"Volta" ///
	6"Ashanti" ///
	7"Brong Ahafo" ///
	8"Northern" ///
	9"Upper West" ///
	10"Upper East" 
label val REGION region
label var REGION "Geographical code"
label var RURURB "Area of residence"
label var SURVEYR "Survey year"
label var HHSIZE_S "Total number of residents"
label var HHSIZE "Total number of residents excluding household help"
label var COUNTRY "Country name"
label var WTA_HH "Household weight"
label var WTA_POP "Population weight"
label def rururb 1"Rural"2"Urban" 
label val RURURB rururb
*---------------------------------------------
sort HID
order COUNTRY REGION HID SURVEYR RURURB HHSIZE HHSIZE_S WTA_HH WTA_POP 
keep COUNTRY REGION HID SURVEYR RURURB HHSIZE HHSIZE_S WTA_HH WTA_POP 
des
*number of observations 5,998

save "04_AGGDATA\00_BASICINFO", replace
erase "04_AGGDATA\BASICINFO.dta"
