clear
set more off
set mem 100m
*generating 11_EXPHOTL.dta
cd "C:\Africa\Ghana\GLSS4-1998"
*---------------------------------------------
/*Non-food expenditure is classified as FREQUENT and LESS-FREQUENT.
FREQUENT is captured in SEC9A2.
LESS-FREQUENT is captured in SEC9A12. 
HOTEL EXPENDITURE IS NOT CAPTURED IN LESS-FREQUENT EXPENDITURES
The item codes are designed to be mutually exclusive in both these sections in the codebook.
It needs to be checked if they are consistently coded in the dataset.*/
*---------------------------------------------
use "02_CLEANDATA\SEC9A2", clear
des
*Number of observations 65,222
*---------------------------------------------
*Checking the item codes
tab nfdex2cd, miss
*Consistently coded
*---------------------------------------------
*dropping all observations that do not relate to this expenditure head
keep if nfdex2cd==806
des
*number of observations 21
*---------------------------------------------
egen HID= concat( clust nh), p(/)
codebook HID
*number of households 21
*---------------------------------------------
*generating the total amount of expenditure during the 7 survey visits
egen amt = rowtotal(s9a2q1 s9a2q2 s9a2q3 s9a2q4 s9a2q5 s9a2q6)
*---------------------------------------------
/*Annualizing the value
The survey captures expenditure over a 36 day period
7 visits at 5 day intervals=7*5=35 days
The 36th day is used for travelling.
For annualizing multiply the expenditure by (365/36)*/
gen az_amt=amt*(365/36)
*---------------------------------------------
*TOTHOTL
gen TOTHOTL = az_amt
*---------------------------------------------
collapse (sum)TOTHOTL, by (HID)
sort HID
des
*total observations 21
*----------------------------------------------------
*DATA DOES NOT ALLOW FURTHER CLASSIFICATION INTO HOTCAT OR HOTACC
*HOTCAT
gen HOTCAT = .
*----------------------------------------------------
*HOTACC
gen HOTACC = .
*------------------------------------------------------
*labeling the variables
label var HID "Household unique ID"
label var HOTCAT "Expenditure on catering services, including eating out"
label var HOTACC "Expenditure on accommodation services"
label var TOTHOTL "Total expenditure on restaurants and hotel"
*------------------------------------------------------
order HID HOTCAT HOTACC TOTHOTL
keep HID HOTCAT HOTACC TOTHOTL
des
*number of observations 21
sort HID
save 04_AGGDATA\11_EXPHOTL, replace
