clear
set more off
set mem 100m
*generating GHA_1998_E
cd "C:\Africa\Ghana\GLSS4-1998\04_AGGDATA"
*---------------------------------------------
use "00_BASICINFO",clear
keep HID REGION RURURB HHSIZE HHSIZE_S
*---------------------------------------------
sort HID
merge HID using 01_EXPFOOD
tab _merge
*3=5998
drop _merge
*number of observations 5,998
*---------------------------------------------
sort HID
merge HID using 02_EXPALCH
tab _merge
*3=3768; 1=2230
drop _merge
*number of observations 5,998
*---------------------------------------------
sort HID
merge HID using 03_EXPCLTH
tab _merge
*3=5945; 1=53
drop _merge
*number of observations 5,998
*---------------------------------------------
sort HID
merge HID using 04_EXPHOUS
tab _merge
*3=5848; 1=150
drop _merge
*number of observations 5,998
*---------------------------------------------
sort HID
merge HID using 05_EXPFURN
tab _merge
*3=5971; 1=27
drop _merge
*number of observations 5,998
*---------------------------------------------
sort HID
merge HID using 06_EXPHLTH
tab _merge
*3=5809; 1=189
drop _merge
*number of observations 5,998
*---------------------------------------------
sort HID
merge HID using 07_EXPTRSP
tab _merge
*3=4749; 1=1249
drop _merge
*number of observations 5,998
*---------------------------------------------
sort HID
merge HID using 08_EXPCMNQ
tab _merge
*3=693; 1=5305
drop _merge
*number of observations 5,998
*---------------------------------------------
sort HID
merge HID using 09_EXPRCRE
tab _merge
*3=2896; 1=3102
drop _merge
*number of observations 5,998
*---------------------------------------------
sort HID
merge HID using 10_EXPEDUC
tab _merge
*3=3,351; 1=2,647
drop _merge
*number of observations 5,998*
*---------------------------------------------
sort HID
merge HID using 11_EXPHOTL
tab _merge
*3=21; 1=5977
drop _merge
*number of observations 5,998
*---------------------------------------------
sort HID
merge HID using 12_EXPMISC
tab _merge
*3=5635; 1=363
drop _merge
*number of observations 5,998
*---------------------------------------------
sort HID
merge HID using 13_FDPINDEX
tab _merge
*3=5998
drop _merge
*number of observations 5,998
*---------------------------------------------
egen TOTFDAL= rowtotal(TOTFOOD TOTALCH)
egen TOTNFD= rowtotal(TOTCLTH TOTHOUS TOTFURN TOTHLTH TOTTRSP TOTCMNQ TOTRCRE TOTEDUC TOTHOTL TOTMISC)
egen HHEXP_N= rowtotal(TOTFDAL TOTNFD)
gen r_totfdal= TOTFDAL/FDPINDEX
egen HHEXP_R= rowtotal(r_totfdal TOTNFD)
*It is assumed that non-food prices will not vary much regionally thus only total food expenditure is regionally adjusted
drop r_totfdal
*---------------------------------------------
*CPI2005_DEFL
gen CPI2005_DEFL = 6315.542969/1632.930942
*CPI2005_DEFL=CPI2005/CPI1998
*---------------------------------------------
*PPP2005
gen PPP2005 = 4475.82
*PPP conversion factor for private individual consumption
*--------------------------------------------------------------------
*converting observations coded as missing to zero for all variables*
mvencode _all,mv(0) override 
*--------------------------------------
label var TOTFDAL "Total annual expenditure on food and alcohol"
label var TOTNFD "Total annual expenditure on non-food items"
label var  HHEXP_N "Total annual nominal household expenditures"
label var HHEXP_R "Total annual regionally adjusted household expenditure"
label var CPI2005_DEF " CPI deflator"
label var PPP2005 " 2005 PPP Exchange Rate"
*--------------------------------------
order HID REGION RURURB HHSIZE TOTFOOD TOTALCH TOTFDAL TOTCLTH GAS ELEC HSUTILITY HSKEROSENE ///
	HSDIESEL TOTHOUS TOTFURN TOTHLTH TRFUEL TRPERSON TRSERVE TOTTRSP TOTCMNQ TOTRCRE TOTEDUC  ///
	TOTHOTL TOTMISC TOTNFD FDPINDEX HHEXP_N HHEXP_R CPI2005_DEF PPP2005

keep HID REGION RURURB HHSIZE TOTFOOD TOTALCH TOTFDAL TOTCLTH GAS ELEC HSUTILITY HSKEROSENE ///
	HSDIESEL TOTHOUS TOTFURN TOTHLTH TRFUEL TRPERSON TRSERVE TOTTRSP TOTCMNQ TOTRCRE TOTEDUC  ///
	TOTHOTL TOTMISC TOTNFD FDPINDEX HHEXP_N HHEXP_R CPI2005_DEF PPP2005
*--------------------------------------
sort HID
des
*total number of observations 5,998
save GHA_1998_E, replace
