clear
set mem 200m
set more off
*generating GHA_1998_H
cd "C:\Africa\Ghana\GLSS4-1998"
*--------------------------------------------------
use "04_AGGDATA\00_BASICINFO",clear
sort HID
save "04_AGGDATA\GHA_H",replace
*--------------------------------------------------
use "02_CLEANDATA\SEC0A", clear
des
/*Number of observations 5,998
Household level file
Contains basic and survey visit data*/ 
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
*5998 unique values generated
*-----------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
*3=5,998
drop _merge
*-----------------------------------------------------
*PROVINCE
gen PROVINCE=.
*---------------------------------------------
*DISTRICT
gen DISTRICT=.
*-----------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*--------------------------------
use 04_AGGDATA\GHA_1998_I, clear
keep if RELAT==1
*only observations pertaining to household heads is retained, rest are droppped
*total observations 5,998
*-----------------------------------------------------
*HHSEX
gen HHSEX=SEX
*-----------------------------------------------------
*HHAGEY
gen HHAGEY=AGEY
*-----------------------------------------------------
*HHMARST
gen HHMARST=MARSTAT
*-----------------------------------------------------
*HHEDLEV
gen HHEDLEV=EDLEVEL_AR
*-----------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
3=5,998*/
drop _merge
*-----------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*------------------------------------------------
use 04_AGGDATA\GHA_1998_L, clear
keep if RELAT==1
*only observations pertaining to household heads is retained, rest are droppped
count
*total observations 5,998
*-----------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
3=5,998*/
drop _merge
*-----------------------------------------------------
*HHEMSTAT
gen HHEMSTAT=0 if UNEMPLOYED_WB==1
replace HHEMSTAT=1 if EMPLOYED_WB==1
tab HHEMSTAT, miss
*CHECK-Consistently coded: 271 missing values*/
*-----------------------------------------------------
*HHEMTYPE
gen HHEMTYPE=EMPTYPE_WB_1
tab HHEMTYPE, miss
*CHECK-Consistently coded: 316 missing values
*-----------------------------------------------------
*HHINDUSTRY
gen HHINDUSTRY=INDUSTRY_1
tab HHINDUSTRY, miss
*CHECK-Consistently coded: 428 missing values
*-----------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*-----------------------------------------------------
use "02_CLEANDATA\SEC7", clear
des
/*Number of observations 5,988
Household level file
Contains information regarding dwelling characteristics*/ 
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
*5998 unique values generated
*-----------------------------------------------------
*OWNHOUSE
tab s7bq1, miss
*CHECK: Consistently coded; No missing values
recode  s7bq1 (1=1)(2 3 4= 0), gen (OWNHOUSE)
*-----------------------------------------------------
*ROOMS
tab s7aq2, miss
*CHECK: Consistently coded-99.8% of the observations have 8 rooms and less; no missing values
gen ROOMS = s7aq2
*-----------------------------------------------------
*ROOF
tab s7eq3, miss
*CHECK: Consistently coded; No missing values
recode  s7eq3 (1=3)(2=2)(3=4)(4=1)(5 6 =9), gen(ROOF)
*-----------------------------------------------------
*WALLS
tab s7eq1, miss
*CHECK: Consistently coded; No missing values
recode  s7eq1 (1=5)(2=2)(3=4)(4 5=1)(6=9), gen(WALLS)
*-----------------------------------------------------
*FLOOR
tab s7eq2, miss
*CHECK: Consistently coded; No missing values
recode  s7eq2 (1=4)(2=2)(3 5=1)(4 6=9), gen(FLOOR)
*-----------------------------------------------------
*WATER
tab s7dq1, miss
*CHECK: Consistently coded; No missing values
recode s7dq1 (1 2 6=1)(3 4=8)(5 7=2)(8=4)(9=5)(10=6)(11=7)(12=9), gen(WATER)
*data classified as 'pipe in neighboring household' is reclassified as 'public standpipe'
*data classified as 'private outside standpipe/pipe' is reclassified as 'pipe (own tap)'
*-----------------------------------------------------
*ADISWAT
tab s7dq2a s7dq2b, miss
*CHECK: Consistently coded; 2499 missing values for both variables
tab s7dq1 if s7dq2a==.
/*CHECK: Consistently coded; 
s7dq2a is missing if the water is available in the proximity house,including rainwater.*/
gen ADISWAT= s7dq2a
replace ADISWAT=0 if ADISWAT==.
*Distance coded as 0 if water available in the house, including rain water.
replace ADISWAT=(s7dq2a*0.000914) if s7dq2b==1
*conversion from yard to Kms
replace ADISWAT=(s7dq2a/1000) if s7dq2b==2
*conversion from meters to Kms
replace ADISWAT=(s7dq2a*5/8) if s7dq2b==4
*conversion from miles to Kms
tab ADISWAT, miss
*CHECK: Consistently coded; 99.87% of the households have water within 5Kms
*-----------------------------------------------------
*ATIMWAT
gen ATIMWAT=.
*no data
*-----------------------------------------------------
*FUELCOOK
tab s7dq10, miss
*CHECK: Consistently coded; no missing values
recode s7dq10 (1=1)(2=3)(3=5)(4=4)(5=2)(6=9), gen(FUELCOOK)
tab FUELCOOK, miss
*CHECK: Consistently coded; No missing values
*-----------------------------------------------------
*FUELLIGH
tab s7dq8, miss
*CHECK: Consistently coded; no missing values
recode s7dq8 (1 2=1)(3=2)(4=3)(5=9), gen(FUELLIGH)
/*'gas lamp' and 'kerosene' are clubbed together and cannot be further disaggregated. 
It has been coded as 2 'Kerosene' assuming a greater component of the classification than gas lamps*/
tab FUELLIGH, miss
*CHECK: Consistently coded; No missing values
*-----------------------------------------------------
*ELECTCON
/*no such question asked in the questionnaire.
Has been coded on the basis of s7dq10 (FUELCOOK) and s7dq8 (FUELLIGH)
If the household uses electricity for lighting or cooking it is assumed to have electricity connection*/
recode s7dq8(1=1)(2=3)(3 4 5=0), gen(ELECTCON)
replace ELECTCON=1 if s7dq10==4
tab ELECTCON, miss
/*CHECK: Consistently coded; no missing values.
Nothing is coded as 2 'solar/wind' or 9'other'*/
*-----------------------------------------------------
*TOILET
tab s7dq13, miss
*CHECK: Consistently coded; no missing values.
recode s7dq13 (1=1)(2=3)(3 4=2)(5=4), gen(TOILET)
*data classified as 'public toilet' or 'improved pit latrine' has been classified as 'improved pit latrine'
tab TOILET, miss
*CHECK: Consistently coded; No missing values.
*-----------------------------------------------------
*GARBDISP
tab s7dq11, miss
*CHECK: Consistently coded; no missing values.
recode s7dq11 (1=1)(2=3)(3 4=2), gen (GARBDISP)
*data classified as 'dumped by household' has been classified as 'discarded'
tab GARBDISP, miss
*CHECK: Consistently coded; No missing values.
*-----------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
3=4,499*/
drop _merge
*-----------------------------------------------------
*DISPSCH
gen DISPSCH=.
*no data
*-----------------------------------------------------
*DISPSCH1
gen DISPSCH1=.
*no data
*-----------------------------------------------------
*TIMPSCH
gen TIMPSCH=.
*no data
*-----------------------------------------------------
*TIMPSCH1
gen TIMPSCH1=.
*no data
*-----------------------------------------------------
*DISHEAL
gen DISHEAL=.
*no data
*-----------------------------------------------------
*DISHEAL1
gen DISHEAL1=.
*no data
*-----------------------------------------------------
*TIMHEAL
gen TIMHEAL=.
*no data
*-----------------------------------------------------
*TIMHEAL1
gen TIMHEAL1=.
*no data
*-----------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*-----------------------------------------------------
use "02_CLEANDATA\SEC8B", clear
des
/*Number of observations 10,570
Household level file with observations at land asset level
Contains information regarding household agricultural land assets*/ 
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
*3,941 unique values generated
*-----------------------------------------------------
*AGLAND
tab s8bq5, miss
*CHECK: inconsistently coded; 1 missing value
gen AGLAND=s8bq5
tab AGLAND, miss
*CHECK: Consistently coded; 1 missing value
*-----------------------------------------------------
*AGLNDOW
tab s8bq4a, miss
*CHECK: Inconsistently coded; 2 observations have 0 value 
tab s8bq4b, miss
*CHECK: consistently coded; no missing values
gen AGLNDOW=s8bq4a/2.471 if s8bq4b==1
replace AGLNDOW=s8bq4a/2.471 if s8bq4b==2
replace AGLNDOW=s8bq4a/(9 * 2.471) if s8bq4b==3
*replacing all values to missing if no farmland is owned
replace AGLNDOW=0 if AGLAND==3
tab AGLNDOW, miss
/* Land that is owned without deed is assumed to be owned
1 ha = 2.471 acres 
1 poel = approximately 1 acre)
9 ropes = 1 acre)
units coded 4 'plot' and 5 'other' left as missing*/
*-----------------------------------------------------
*AREA_COLLAT- only refers to agricultural land
tab s8bq6, miss
*CHECK: Consistently coded; 7160 missing values
gen AREA_COLLAT=AGLNDOW if (s8bq6==2|s8bq6==3)
tab AREA_COLLAT, miss
/*CHECK: Consistently coded; 8,143 missing values
*Land that the household has the right to sell but not use as security is not included.*/
*-----------------------------------------------------
collapse AGLAND (sum) AGLNDOW AREA_COLLAT, by (HID)
des
*number of observations 3,941
*-----------------------------------------------------
*AREA_IRRIG
gen AREA_IRRIG=.
*No data
*-----------------------------------------------------
*AREA_NONIRRIG
gen AREA_NONIRRIG=.
*No data
*-----------------------------------------------------
*LANDCON
gen LANDCON=.
*No data
*-----------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
2=2,057
3=3,941*/
drop _merge
*-----------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*---------------------------------------------------
use "02_CLEANDATA\SEC8A1", clear
des
/*Number of observations 4,109
Household level file
Contains information regarding household agricultural assets*/ 
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*4,109 unique values generated
*-----------------------------------------------------
*LANDSIZE
tab s8aq4 s8aq3, miss
/*CHECK: Inconsistently coded; 2481 missing values for both s8aq4 and s8aq3
For 1 observation s8aq3 is incorrectly coded as 8. It is assumed to be other*/
replace s8aq3=4 if s8aq3==8
gen LANDSIZE=s8aq4/2.471 if s8aq3==1
replace LANDSIZE=s8aq4/2.471 if s8aq3==2 
replace LANDSIZE=s8aq4/(9 * 2.471) if s8aq3==3  
*1 ha = 2.471 acres 
*1 poel = approximately 1 acre)
*9 ropes = 1 acre)
* units coded 4 'other' left as missing
*-----------------------------------------------------
*inc_rent_8a1
tab s8aq15, miss
*CHECK: Consistently coded;1 observation coded as 0; 4,045 missing values.
gen inc_rent_8a1=s8aq15
*-----------------------------------------------------
collapse (sum)LANDSIZE inc_rent_8a1, by (HID)
count
*number of observations 4,109
*-----------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
2=1,889
3=4,109*/
drop _merge
*----------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*----------------------------------------------
use "02_CLEANDATA\SEC12B", clear
des
/*Number of observations 19,813
Household level file with durable items as observations 
Contains informaiton regarding ownership of durables*/ 
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
*5,261 unique values generated
*-----------------------------------------------------
*RADIO
tab hassetcd, miss
*CHECK: consistently coded; no missing values
tab s12bq1, miss
*CHECK
recode s12bq1 (2=0) if (hassetcd>=307 & hassetcd<=310), gen(RADIO)
*-----------------------------------------------------
*TV
recode s12bq1 (2=0) if hassetcd==313, gen(TV)
*-----------------------------------------------------
*CPHONE
gen CPHONE=.
*no data
*-----------------------------------------------------
*FRIDGE
recode s12bq1 (2=0) if hassetcd==304, gen(FRIDGE)
*-----------------------------------------------------
*SEWMACH
recode s12bq1 (2=0) if hassetcd==302, gen(SEWMACH)
*-----------------------------------------------------
*COMPUTER
gen COMPUTER=.
*no data 
*-----------------------------------------------------
*PHONE
gen PHONE =.
*---------------------------------------------------
*INTERNET
gen INTERNET =.
*-----------------------------------------------------
*STOVE
recode s12bq1 (2=0) if hassetcd==303, gen(STOVE)
*-----------------------------------------------------
*BCYCLE
recode s12bq1 (2=0) if hassetcd==316, gen(BCYCLE)
*-----------------------------------------------------
*BOAT
recode s12bq1 (2=0) if (hassetcd>=322 & hassetcd<=323), gen(BOAT)
*-----------------------------------------------------
*MCYCLE
recode s12bq1 (2=0) if hassetcd==317, gen(MCYCLE)
*-----------------------------------------------------
*CAR
recode s12bq1 (2=0) if hassetcd==318, gen(CAR)
*-----------------------------------------------------
collapse (sum)RADIO TV PHONE CPHONE FRIDGE SEWMACH COMPUTER INTERNET STOVE BCYCLE BOAT MCYCLE CAR, by (HID)
*number of observations 8,638
*-----------------------------------------------------
replace RADIO=1 if RADIO>=1 & RADIO!=. 
replace TV=1 if TV>=1 & TV!=.
replace CPHONE=1 if CPHONE>=1 & CPHONE!=.
replace FRIDGE=1 if FRIDGE>=1 & FRIDGE!=.
replace SEWMACH=1 if SEWMACH>=1 & SEWMACH!=.
replace COMPUTER=1 if COMPUTER>=1 & COMPUTER!=.
replace STOVE=1 if STOVE>=1 & STOVE!=.
replace BCYCLE=1 if BCYCLE>=1 & BCYCLE!=.
replace BOAT=1 if BOAT>=1 & BOAT!=.
replace MCYCLE=1 if MCYCLE>=1 & MCYCLE!=.
replace CAR=1 if CAR>=1 & CAR!=.
*-----------------------------------------------------
sort HID
count
*number of observations 5,261
merge HID using 04_AGGDATA\GHA_H
tab _merge
*2=737
*3=5261
drop _merge
*-----------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*-------------------------------------------
use "02_CLEANDATA\SEC8A3", clear
des
/*Number of observations 14,508
Household level file with observations at equipment level
Contains information regarding agricultural equipment*/ 
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
*1,329 unique values generated
*---------------------------------------------------
*OXCART
tab eqcdown, miss
*CHECK-Consistently coded; No missing values
tab s8aq33, miss
*CHECK-Consistently coded; No missing values
recode s8aq33 (2=0)if eqcdown==41, gen (OXCART)
*---------------------------------------------------
*inc_rent_8a3
tab s8aq36, miss
/*CHECK-Consistently coded; 12,992 missing values*/
tab s8aq37, miss
/*CHECK-Consistently coded; 14,466 missing values for individuals who responded 'NO' 
or observations that had missing values to s8aq36*/
gen inc_rent_8a3=s8aq37 if s8aq36==1
tab inc_rent_8a3, miss
/*CHECK-Consistently coded; 14,466 missing values*/
*---------------------------------------------------
collapse (sum) OXCART inc_rent_8a3, by (HID)
count
*number of observations 1329
*-----------------------------------------------------
replace OXCART=1 if OXCART>=1 & OXCART!=. 
*0 changes made
*---------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
2=4,669
3=1,329*/
drop _merge
*---------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*------------------------------------------
use "02_CLEANDATA\SEC8A2", clear
des
/*Number of observations 4,841
Household level file
Contains information regarding livestock*/ 
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
*2,273 unique values generated
*-----------------------------------------------------
*LLIVESK
tab livstcd, miss
*CHECK
gen LLIVESK=s8aq22a if livstcd==1|livstcd==1
*-----------------------------------------------------
*MLIVESK
gen MLIVESK=s8aq22a if livstcd>=3 & livstcd<=5
*-----------------------------------------------------
*POULTRY
gen POULTRY=s8aq22a if livstcd==8|livstcd==9
*---------------------------------------------------
*inc_rent_8a2
tab s8aq30, miss
*CHECK: Consistently coded; 4,685 missing values
tab s8aq31, miss
/*CHECK: Consistently coded; 
4,816 missing values - for missing values and those who responded 'NO' to s8aq30*/
gen inc_rent_8a2=s8aq31 if s8aq30==1
tab inc_rent_8a2, miss
*CHECK: Consistently coded; 4,818 missing values
*-----------------------------------------------------
collapse (sum)LLIVESK MLIVESK POULTRY inc_rent_8a2, by (HID)
count
*number of observations 2,273
*-----------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
2=3,725
3=2,273*/
drop _merge
*-----------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*------------------------------
use "04_AGGDATA\GHA_1998_E", clear
sort HID
des
*number of observations 8,687
*-----------------------------------------------------
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
2=2,057
3=3,941*/
drop _merge
*------------------------------
*PCEXP
gen PCEXP=HHEXP_N/HHSIZE
*-----------------------------------------------------
*PCEXPDR
*first: food expenditure is adjusted regionally; non-food expenditure is not
gen r_totfdal=TOTFDAL/FDPINDEX
*non-food expenditures are not regionally adjusted since rural and urban prices of non-food items are assumed to be the same across regions

*second: per-capita food expenditures are calculated and cleaned
gen pc_r_totfdal= r_totfdal/HHSIZE
egen z_pc_totfdal=std(pc_r_totfdal)
bysort REGION RURURB: egen md_pc_totfdal=median(pc_r_totfdal) 
replace pc_r_totfdal=md_pc_totfdal if z_pc_totfdal>3
drop z_pc_totfdal md_pc_totfdal
*if value is greater than 3 std dev then it is replaced by the median value

*third: per-capita non-food expenditures are calculated and cleaned
gen pc_totnfd=TOTNFD/HHSIZE
egen z_pc_totnfd=std(pc_totnfd)
bysort REGION RURURB: egen md_pc_totnfd=median(pc_totnfd) 
replace pc_totnfd=md_pc_totnfd if z_pc_totnfd>3
drop z_pc_totnfd md_pc_totnfd
*if value is greater than 3 std dev then it is replaced by the median value

*fourth: food and non-food are per-capita expenditures are added
egen PCEXPDR=rowtotal(pc_r_totfdal pc_totnfd)
*cleaned total real per capita expenditure adjusted for regional prices 
*-----------------------------------------------------
*PCEXPDR_PPP 
*the survey was carried out from September 2005 to August 2006 (4 months in 2005 and 8 months in 2006)
gen PCEXPDR_PPP=PCEXPDR*(CPI2005_DEFL/PPP2005)
*Regionally deflated real PPP expenditure=Regionally deflated nominal expenditure in survey year*(CPI deflator/PPP deflator)
*-----------------------------------------------------
*QUINTILE_N
xtile QUINTILE_N=PCEXPDR_PPP[aw=WTA_POP],nq(5)
*-----------------------------------------------------
*quintile_rur
xtile quintile_rur=PCEXPDR_PPP if RURURB==1[aw=WTA_POP],nq(5)
xtile quintile_urb=PCEXPDR_PPP if RURURB==2[aw=WTA_POP],nq(5)
gen QUINTILE_R_U=quintile_rur if RURURB==1
replace QUINTILE_R_U=quintile_urb if RURURB==2
*------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*-----------------------------------------------------
use "02_CLEANDATA\SEC11B2", clear
des
/*Number of observations 4,171
Household level file
*Contains information regarding remittances RECEIVED BY household*/ 
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*2,589 unique values generated
*---------------------------------------------------
*INC_RMT
tab s11bq9, miss
*CHECK: Consistently coded; 704 observation with 0 value; 116 missing values
tab s11bq10, miss
*CHECK: Consistently coded; 2,545 observation with 0 value; 116 missing values
tab s11bq11, miss
*CHECK: Consistently coded; 1,944 observation with 0 value; 116 missing values
egen INC_RMT=rowtotal (s11bq9 s11bq10 s11bq11)
tab INC_RMT, miss
/*CHECK: Consistently coded; No missing values
1. 117 observations with 0 value
2. Remittances include cash and value of food goods and value of non food goods*/
*---------------------------------------------------
*sorted by descending order of amount remitted within each household
gsort HID -INC_RMT
count if INC_RMT==.
*no missing values. This precludes the sorting problem posed by missing values
*---------------------------------------------------
*SEX_RMT_1, SEX_RMT_2, SEX_RMT_3 
bysort HID: gen rmt=_n
tab s11bq6, miss
*CHECK: Consistently coded; 160 missing values
recode s11bq6 (1=1)(2=0), gen (sexrmt)
tab sexrmt, miss
*CHECK: Consistently coded; 160 missing values
gen SEX_RMT_1=sexrmt if rmt==1
gen SEX_RMT_2=sexrmt if rmt==2
gen SEX_RMT_3=sexrmt if rmt==3
*---------------------------------------------------
*RELAT_RMT_1, RELAT_RMT_2, RELAT_RMT_3 
tab s11bq5, miss
*CHECK: Consistently coded; 160 missing values
recode s11bq5(1=4)(2=2)(3=3)(4 5=7)(6=9), gen (relation)
tab relation, miss
/*CHECK: Consistently coded; 160 missing values
1. Nothing is coded as  5 'grandchild' and 6'son/daughter-in-law'
2. Code 9 'non-relative' has been introduced*/
gen RELAT_RMT_1=relation if rmt==1
gen RELAT_RMT_2=relation if rmt==2
gen RELAT_RMT_3=relation if rmt==3
*---------------------------------------------------
*DES_MIG_1, DES_MIG_2, DES_MIG_3
tab s11bq12, miss
*CHECK: Consistently coded; 116 missing values
recode s11bq12(2=1)(1 3/7=2)(8/9=3), gen (destination)
tab destination, miss
/*CHECK: Consistently coded; 116 missing values
1. Individuals who are in the same village/town are coded as 2 'within the country'*/
gen DES_MIG_1=destination if rmt==1
gen DES_MIG_2=destination if rmt==2
gen DES_MIG_3=destination if rmt==3
*---------------------------------------------------
*temp_domestic - will be used to generate variable ORIGIN_RMT
gen temp_domestic = 0
replace temp_domestic=1 if (destination==1|destination==2)
*---------------------------------------------------
*temp_abroad - will be used to generate variable ORIGIN_RMT
gen temp_abroad=0
replace temp_abroad=1 if destination==3
*---------------------------------------------------
*AMT_RMT_1, AMT_RMT_2, AMT_RMT_3 
gen AMT_RMT_1=INC_RMT if rmt==1
gen AMT_RMT_2=INC_RMT if rmt==2
gen AMT_RMT_3=INC_RMT if rmt==3
*---------------------------------------------------
collapse SEX_RMT_1 SEX_RMT_2 SEX_RMT_3 RELAT_RMT_1 RELAT_RMT_2 RELAT_RMT_3 ///
	DES_MIG_1  DES_MIG_2  DES_MIG_3 AMT_RMT_1  AMT_RMT_2  AMT_RMT_3 ///
	temp_domestic temp_abroad (sum) INC_RMT , by (HID)
count
*number of observations 2,589
*---------------------------------------------------
*ORIGIN_RMT
gen ORIGIN_RMT=1 if temp_domestic==1 & (temp_abroad==0|temp_abroad==.)
replace ORIGIN_RMT =2 if (temp_domestic==0|temp_abroad==.) & temp_abroad==1
replace ORIGIN_RMT =3 if (temp_domestic==1 & temp_abroad==1)
*---------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
2=3,409
3=2,589*/
drop _merge
*---------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*---------------------------------------------------
use "02_CLEANDATA\SEC8C1", clear
des
/*Number of observations 8,147
Household level file with observations at the crop level
Contains information regarding disposal of harvests(Grains, field and cash crops)*/ 
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*3,729 unique values generated
*---------------------------------------------------
*inc_farm_g_8c1
tab s8cq8, miss
*CHECK: Consistently coded-1 observation coded as 0; 3,775 missing values
tab s8cq11, miss
*CHECK: Consistently coded-19 observations coded as 0; 8,059 missing values
egen inc_farm_g_8c1= rowtotal (s8cq8 s8cq11)
tab inc_farm_g_8c1, miss
/*CHECK: Consistently coded- 3,776 observation coded as 0; no missing values
1. Only income acutally earned from sale proceeds has been included.
2. All other hypothetical questions/auto-consumption are excluded.*/
*---------------------------------------------------
collapse (sum) inc_farm_g_8c1, by (HID)
count
*number of observations 3,729
*---------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
2=2,269
3=3,729*/
drop _merge
*---------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*---------------------------------------------------
use "02_CLEANDATA\SEC8C2", clear
des
/*Number of observations 16,996
Household level file with observations at the crop level
Contains information regarding disposal of harvests(fruits, vegetable and piecemeal crops)
Reference time period is 2 weeks*/ 
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*2,523 unique values generated
*---------------------------------------------------
*inc_farm_g_8c2
tab s8cq26, miss
*CHECK: Consistently coded - 8 observations coded as 0; 15,335 missing values
gen inc_farm_g_8c2= s8cq26
replace inc_farm_g_8c2=inc_farm_g_8c2*26 if (inc_farm_g_8c2!=0 & inc_farm_g_8c2!=.)
tab inc_farm_g_8c2, miss
/*CHECK: Consistently coded- 8 observation coded as 0; 15,335 missing values
1. Only income acutally earned from sale proceeds has been included.
2. All other hypothetical questions/auto-consumption are excluded.
3. The reference time period is 2 weeks. IT has been annualized*/
*---------------------------------------------------
collapse (sum) inc_farm_g_8c2, by (HID)
count
*number of observations 2,523
*---------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
2=3,475
3=2,523*/
drop _merge
*---------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*---------------------------------------------------
use "02_CLEANDATA\SEC8E", clear
des
/*Number of observations 4,137
Household level file
Contains information regarding income from household agricultural produce*/ 
*---------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*4,137 unique values generated
*---------------------------------------------------
*inc_farm_g_8e
tab s8eq1, miss
*CHECK: Consistently coded-3,895 observation coded as 0; no missing values
tab s8eq2, miss
*CHECK: Consistently coded-4,076 observation coded as 0; no missing values
tab s8eq3, miss
*CHECK: Consistently coded-3,963 observation coded as 0; no missing values
tab s8eq4, miss
*CHECK: Consistently coded-3,851 observation coded as 0; no missing values
tab s8eq5, miss
*CHECK: Consistently coded-4,135 observation coded as 0; no missing values
tab s8eq6, miss
*CHECK: Consistently coded-4,127 observation coded as 0; no missing values
tab s8eq7, miss
*CHECK: Consistently coded-3,958 observation coded as 0; no missing values
tab s8eq8, miss
*CHECK: Consistently coded-4,134 observation coded as 0; no missing values
tab s8eq9, miss
*CHECK: Consistently coded-4,037 observation coded as 0; no missing values
egen inc_farm_g_8e= rowtotal (s8eq1 s8eq2 s8eq3 s8eq4 s8eq5 s8eq6 s8eq7 s8eq8 s8eq9)
tab inc_farm_g_8e, miss
/*CHECK: Consistently coded- 3,326 observation coded as 0; no missing values*/
*---------------------------------------------------
collapse (sum) inc_farm_g_8e, by (HID)
count
*number of observations 4,137
*---------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
2=1,861
3=4,137*/
drop _merge
*---------------------------------------------------
*INC_FARM_G
egen INC_FARM_G= rowtotal (inc_farm_g_8c1 inc_farm_g_8c2 inc_farm_g_8e)
tab INC_FARM_G, miss
/*CHECK: Consistently coded- 3,190 observations coded as 0; no missing values*/
*---------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*-----------------------------------------------
use "02_CLEANDATA\SEC10D", clear
des
/*Number of observations 3,004
Household enterprise level file
Contains information regarding revenue of enterprises*/
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
*2,461 unique values generated
*-----------------------------------------------------
*INC_NFARM_G and annualization
tab s10dq1, miss
*CHECK: Consistently coded-48 observation coded as 0; 446 missing values
tab s10dq6, miss
*CHECK: Consistently coded-4 observation coded as 0; 2,559 missing values
tab s10dq1 s10dq6 if (s10dq1!=. & s10dq1!=0) & (s10dq6!=. & s10dq1!=0), miss
/*CHECK: Consistently coded-
1. 2 observation is inconsistently coded and have meaningful value for both the variables
2. Only one of the variables must have a meaningful non-zero value.*/
replace s10dq6=. if (s10dq6==25000 & s10dq1==3000)|(s10dq6==56000 & s10dq1==180000)
egen INC_NFARM_G= rowtotal(s10dq1 s10dq6)
replace INC_NFARM_G=INC_NFARM_G*26
tab INC_NFARM_G, miss
/*CHECK: Consistently coded- 55 observation coded as 0; no missing values
1. Only income acutally earned from sale proceeds has been included.
2. The reference time period is 2 weeks. It has been annualized*/
*---------------------------------------------------
*inc_rent_10d
tab s10dq12, miss
*CHECK: Consistently coded; 2,986 missing values
gen inc_rent_10d=s10dq12
*---------------------------------------------------
collapse (sum) INC_NFARM_G inc_rent_10d, by (HID)
count
*number of observations 2,461
*---------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
2=3,537
3=2,461*/
drop _merge
*---------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*---------------------------------------------------
*INC_RENT
egen INC_RENT=rowtotal(inc_rent_8a1 inc_rent_8a2 inc_rent_8a3 inc_rent_10d)
tab INC_RENT, miss
*CHECK: Consistently coded- 4,452 observations with 0 value; no missing values
*---------------------------------------------------
*INC_FIN
gen INC_FIN=.
*no data
*---------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*---------------------------------------------------
use "02_CLEANDATA\SEC11C", clear
des
/*Number of observations 5,998
Household level file
Contains information regarding miscellaneous income*/
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*5,998 unique values generated
*---------------------------------------------------
*INC_PEN
tab s11cq1, miss
*CHECK: Consistently coded-5,971 observations coded as 0; 2 missing values
tab s11cq2, miss
*CHECK: Consistently coded-5,899 observations coded as 0; 1 missing values
tab s11cq3, miss
*CHECK: Consistently coded-5,978 observations coded as 0; 2 missing values
tab s11cq4, miss
*CHECK: Consistently coded-5,978 observations coded as 0; 1 missing values
egen INC_PEN = rowtotal (s11cq1 s11cq2 s11cq3 s11cq4)
tab INC_PEN, miss
*CHECK: Consistently coded-5,851 observations coded as 0; No missing values
*---------------------------------------------------
*INC_OTH
tab s11cq5, miss
*CHECK: Consistently coded-5,660 observations coded as 0; 3 missing values
tab s11cq6, miss
*CHECK: Consistently coded-5,364 observations coded as 0; 2 missing values
egen INC_OTH= rowtotal (s11cq5 s11cq6)
tab INC_OTH, miss
*CHECK: Consistently coded-5,110 observations coded as 0; No missing values
*---------------------------------------------------
collapse (sum) INC_PEN INC_OTH, by (HID)
count
*number of observations 5,998
*---------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
3=5,998*/
drop _merge
*---------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*---------------------------------------------------
use "02_CLEANDATA\SEC2A", clear
des
/*Number of observations 22,211
Individual level file for individuals aged 5yrs or more
Contains education data*/ 
*---------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*5,997 unique values generated
*---------------------------------------------------
*INC_STUDY
tab s2aq15, miss
*CHECK: Consistently coded; 13,832 missing values
tab s2aq16, miss
/*CHECK: Consistently coded; 
22,183 missing values - for missing values and those who responded 'NO' to s2q16*/
gen INC_STUDY=s2aq16 if s2aq15==1
tab INC_STUDY, miss
*CHECK: Consistently coded; 22,183 missing values
*---------------------------------------------------
collapse (sum) INC_STUDY, by (HID)
count
*number of observations 5,997
*---------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
2=1
3=5,997*/
drop _merge
*---------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*---------------------------------------------------
use "02_CLEANDATA\SEC4B", clear
des
/*Number of observations 10,875
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding primary occupation*/ 
*---------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*5,742 unique values generated
*---------------------------------------------------
*INC_SOCA- annualized
tab s4bq11, miss
/*CHECK: Consistently coded; 9,428 missing values*/
tab s4bq12a, miss
*CHECK: Consistently coded; 1 observation coded as 0; 10,524 missing values
tab s4bq12b, miss
*CHECK: Consistently coded; 10,523 missing values
keep if s4bq11==1
*Keeping only observations that responded 'yes' to receiving bonus and allowances 
gen INC_SOCA=s4bq12a 
replace INC_SOCA = INC_SOCA*365 if s4bq12b==1
replace INC_SOCA = INC_SOCA*(365/7) if s4bq12b==2
replace INC_SOCA = INC_SOCA*(365/15) if s4bq12b==3
replace INC_SOCA = INC_SOCA*12 if s4bq12b==4
replace INC_SOCA = INC_SOCA*4 if s4bq12b==5
replace INC_SOCA = INC_SOCA if s4bq12b==6
tab INC_SOCA, miss
*CHECK: Consistently coded- 1 observation has 0 value; No missing values
*---------------------------------------------------
collapse (sum) INC_SOCA, by (HID)
des
*number of observations 330
*---------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
2=5,668
3=330*/
drop _merge
*---------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*---------------------------------------------------
use "04_AGGDATA\GHA_1998_L", clear
des
/*Number of observations 26,411
Standardized labor file*/ 
*---------------------------------------------------
*INC_WAGE-annualized
tab WAGE_1,m
*CHECK: 49 observations coded as 0; 24,895 missing values
tab UNITWAGE_1,m
tab UNITWAGE_1,nol m
*CHECK: 49 observations coded as 0; 395 missing values
gen inc_wage_1=WAGE_1
replace inc_wage_1 = inc_wage_1*365 if UNITWAGE_1==2
replace inc_wage_1 = inc_wage_1*(365/7) if UNITWAGE_1==3
replace inc_wage_1 = inc_wage_1*(365/15) if UNITWAGE_1==5
replace inc_wage_1 = inc_wage_1*12 if UNITWAGE_1==6
replace inc_wage_1 = inc_wage_1*4 if UNITWAGE_1==7
replace inc_wage_1 = inc_wage_1 if UNITWAGE_1==9
*Secondary job
tab WAGE_2,m
*CHECK: 394 missing values
tab UNITWAGE_2,m
tab UNITWAGE_2,nol m
*CHECK: 395 missing values
gen inc_wage_2=WAGE_2
replace inc_wage_2 = inc_wage_2*365 if UNITWAGE_2==2
replace inc_wage_2 = inc_wage_2*(365/7) if UNITWAGE_2==3
replace inc_wage_2 = inc_wage_2*(365/15) if UNITWAGE_2==5
replace inc_wage_2 = inc_wage_2*12 if UNITWAGE_2==6
replace inc_wage_2 = inc_wage_2*4 if UNITWAGE_2==7
replace inc_wage_2 = inc_wage_2 if UNITWAGE_2==9
*Adding primary and secondary wage earnings
egen INC_WAGE= rowtotal (inc_wage_1 inc_wage_2)
tab INC_WAGE, miss
*CHECK: Consistently coded-17,608 observations coded as 0; No missing values
*---------------------------------------------------
collapse (sum) INC_WAGE, by (HID)
count
*number of observations 5,998
*---------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
3=5,998*/
drop _merge
*---------------------------------------------------
*INC_TOT_G
egen INC_TOT_G= rowtotal (INC_RMT INC_WAGE INC_SOCA INC_FARM_G INC_NFARM_G INC_RENT INC_FIN INC_PEN INC_STUDY INC_OTH)
tab INC_TOT_G, miss
*CHECK: Consistently coded-192 observations coded as 0; No missing values
*---------------------------------------------------
*OTHLNDOW
/*There is no explicit question that captures this data.
Thus other land owned by the household is arrived at by substracting AGLNDOW from LANDSIZE.*/
gen OTHLNDOW=(LANDSIZE - AGLNDOW)
tab OTHLNDOW if OTHLNDOW<0
/*CHECK: 1. 361 observations have negative values. These have been recoded to 0.*/
replace OTHLNDOW=0 if OTHLNDOW<0
tab OTHLNDOW, miss
*CHECK: Consistently coded-2,988 observations coded as 0; 2,058 missing values.
*--------------------------------------
*labelling the variables
label var COUNTRY "Country code"
label var REGION "Region"
label var PROVINCE "Province"
label var DISTRICT "District"
label var HID "Household unique identification"
label var SURVEYR "Year of survey"
label var RURURB "Area of residence"
label var HHSIZE "Household members"
label var HHSIZE_S "Household members including household help"
label var WTA_HH "Individual weighting coefficient"
label var WTA_POP "Population weighting coefficient"
label def hhsex 1"Male" ///
	0"Female"
label val HHSEX hhsex
label var HHSEX "Sex of household head"
label var HHAGEY "Age of household head"
label def hhmarst 1"Never married" ///
	2"Married monogamous" ///
	3"Married polygamous" ///
	4"Common law/ living together" ///
	5"Divorced/ separated" ///
	6"Widowed"
label val HHMARST hhmarst
label var HHMARST "Marital status of household head"
label def hhedlev 0"No education" ///
	1"Pre-school/ primary, not completed" ///
	2"Completed primary, but less than completed lower secondary" ///
	3"Completed lower secondary but less than completed upper secondary" ///
	4"Completed upper secondary" ///
	5"Post-secondary technical" ///
	6"University and higher" ///
	7"Formal adult education/litracy program" ///
	9"Other"
label val HHEDLEV hhedlev
label var HHEDLEV "educational level of household head"
label def hhemstat 0"Unemployed" ///
	1"Employed"
label val HHEMSTAT hhemstat
label var HHEMSTAT "Employment status of household head"
label def hhemtype 1 "Wage & salaried worker" ///
	2 "Self-employed with employees" ///
	3 "Self-employed w/o employees" ///
	4 "Employer" ///
	5 "Domestic employees" ///
	6 "Family worker" ///
	7 "Apprentice" ///
	9 "Volunteer" ///
	99 "Other/not known/ missing"  
label val HHEMTYPE hhemtype
label var HHEMTYPE "Employment type of household head"
label def hhindustry 1 "Agriculture and fishing" ///
	2 "Mining" ///
	3 "Manufacturing" ///
	4 "Electricity and utilities" ///
	5 "Construction" ///
	6 "Commerce" ///
	7 "Transportation, storage & communications" ///
	8 "Financial, insurance & real estate" ///
	9 "Services: Public administration" ///
	10 "Other services" ///
	11 "Unspecified"
label val HHINDUSTRY hhindustry
label var HHINDUSTRY "Employment industry of household head"
label val OWNHOUSE yn
label var OWNHOUSE "Ownership of dwelling unit"
label var ROOMS "Number of habitable rooms"
label def roof 1"Concrete/cement/brick/stone" ///
	2"Wood" ///
	3"Bamboo/ thach" ///
	4"Tiles/shingles" ///
	5"Tin/metal sheets" ///
	6"Makeshift" ///
	9"Other"
label val ROOF roof
label var ROOF "Main material used for roof"
label def walls 1"Concrete/cement/brick/stone" ///
	2"Wood" ///
	3"Bamboo/thach" ///
	4"Iron/metal sheets" ///
	5"Clay/mud" ///
	6"Makeshift" ///
	9"Other"
label val WALLS walls
label var WALLS "Main material used for external wall"
label def floor 1"Cement/tiles/marble" ///
	2"Wood/bamboo" ///
	3"Vinyl" ///
	4"Earth/clay/mud" ///
	9"Other"
label val FLOOR floor
label var FLOOR "Main material used for floor"
label def water 1"Pipe(own tap)" ///
	2"Public standpipe" ///
	3"Borehole" ///
	4"Wells(protected)" ///
	5"Wells(unprotected)" ///
	6"Surface water" ///
	7"Rain water" ///
	8"Vendor/truck" ///
	9"Other"
label val WATER water
label var WATER "Main source of water"
label var ADISWAT "Distance to main water point (Kms)"
label var ATIMWAT "Time taken to main water point (mins)"
label val ELECTCON yn
label var ELECTCON "Connection of electricity in dwelling"
label def fuelcook 1"Firewood" ///
	2"Kerosene" ///
	3"Charcoal" ///
	4"Electricity" ///
	5"Gas" ///
	9"Other"
label val FUELCOOK fuelcook
label var FUELCOOK "Main cooking fuel"
label def fuelligh 1"Electricity" ///
	2"Kerosene" ///
	3"Candles" ///
	4"Gas" ///
	9"Other"
label val FUELLIGH fuelligh
label var FUELLIGH "Main lighting fuel"
label def toilet 1"Flush toilet" ///
	2"Improved pit latrine" ///
	3"Pit latrine" ///
	4"No facility" ///
	9"Other"
label val TOILET toilet
label var TOILET "Main toilet facility"
label def garbdisp 1"Collected" ///
	2"Burried/burned" ///
	3"Discarded in empty lots, street, rivers" ///
	9"Other"
label val GARBDISP garbdisp
label var GARBDISP "Garbage disposal"
label var DISPSCH "Distance to nearest elementary/primary school (Kms)"
label def disgp /// 
	1"Outside dwelling and up to 1km" /// 
	2"1 to 2km" /// 
	3"2 to 5km" /// 
	4"5 to 10km" /// 
	5"More than 10km" /// 
	9"Undefined"
label val DISPSCH1 disgp
label var DISPSCH1 "Distace to nearest elementary/primary school(grouped)"
label var TIMPSCH "Time taken to nearest elementary/primary school"
label def timegp /// 
	1"Within 1/2 hour" /// 
	2"1/2 to 1 hour away" /// 
	3"1 hour to 6 hours" /// 
	4"6 to 12 hours" /// 
	5"Over 12 hours" /// 
	9"Undefined"
label val TIMPSCH1 timegp
label var TIMPSCH1 "Time taken to nearest elementary/primary school (grouped)"
label var DISHEAL "Distance to nearest health facility (Kms)"
label val DISHEAL1 disgp
label var DISHEAL1 "Distace to nearest health facility (grouped)"
label var TIMHEAL "Time taken to nearest health facility (mins)"
label val TIMHEAL1 timegp
label var TIMHEAL1 "Time taken to nearest health facility (grouped)"
label def yncd 1"Yes" ///
	2"Cannot be determined" ///
	3"No"
label val AGLAND yncd
label var AGLAND "Ownership of agricultural land"
label var AGLNDOW "Agricultural land owned by household (ha)"
label var OTHLNDOW "Non-agricultural land owned by household (ha)"
label var LANDSIZE "Land size owned by household (ha)"
label var AREA_IRRIG "Area of irrigated agricultural land(ha)"
label var AREA_NONIRRIG "Area of non-irrigated agricultural land(ha)"
label var AREA_COLLAT "Total plot area that can used as collateral for loan(ha)"
label val LANDCON yn
label var LANDCON "Conflict about the land"
label val RADIO TV PHONE CPHONE FRIDGE SEWMACH COMPUTER STOVE OXCART BCYCLE BOAT MCYCLE CAR INTERNET yn
label var RADIO "Ownership of radio"
label var TV "Ownership of television"
label var PHONE "Ownership of landline (fixed)phone"
label var CPHONE "Ownership of at least one cellular phone"
label var INTERNET "Access to the internet"
label var FRIDGE "Ownership of refrigerator"
label var SEWMACH "Ownership of sewing machine"
label var COMPUTER "Ownership of computer"
label var STOVE "Ownership of stove"
label var OXCART "Ownership of oxcart"
label var BCYCLE "Ownership of bicycle"
label var BOAT "Ownership of boat"
label var MCYCLE "Ownership of motorcycle"
label var CAR "Ownership of car"
label var LLIVESK "Number of large-sized livestock owned"
label var MLIVESK "Number of medium-sized livestock owned"
label var POULTRY "Number of large-sized livestock owned"
label var PCEXP "Per-capita annual food and non-food expenditure in local currency, not regionally weighted"
label var PCEXPDR "Real per-capita annual food and non-food expenditure, regionally deflated"
label var PCEXPDR_PPP "Per-capita annual food and non-food expenditure in local currency,regionally deflated"
label var QUINTILE_N "Expenditure quintiles, National"
label var QUINTILE_R_U "Expenditure quintiles, Rural/ urban"
label val SEX_RMT_1 SEX_RMT_2 SEX_RMT_3 hhsex
label var SEX_RMT_1 "Sex of 1st remitting member"
label var SEX_RMT_2 "Sex of 2nd remitting member"
label var SEX_RMT_3 "Sex of 3rd remitting member"
label def relat_rmt /// 
	2"Spouse" /// 
	3"Son/ daughter" /// 
	4"Parents/ grandmother" /// 
	5"Grandchild" /// 
	6"Son/ Daughter-in-law" ///
	7"Siblings and other relatives/ friend"
label val RELAT_RMT_1 RELAT_RMT_2 RELAT_RMT_3 relat_rmt
label var RELAT_RMT_1 "Relationship of 1st remitting member"
label var RELAT_RMT_2 "Relationship of 2nd remitting member"
label var RELAT_RMT_3 "Relationship of 3rd remitting member"
label def des_mig 1"Capital" ///
	2"Within country (but not capital)" ///
	3"Abroad"
label val DES_MIG_1 DES_MIG_2 DES_MIG_3 des_mig
label var DES_MIG_1 "Migration destination of 1st remitting member"
label var DES_MIG_2 "Migration destination of 2nd remitting member"
label var DES_MIG_3 "Migration destination of 3rd remitting member"
label def origin_rmt 1"Domestic" ///
	2"Abroad" ///
	3"Both"
label val ORIGIN_RMT origin_rmt
label var ORIGIN_RMT "Origin of remittance"
label var AMT_RMT_1 "Amount received from 1st remitting member"
label var AMT_RMT_2 "Amount received from 2nd remitting member"
label var AMT_RMT_3 "Amount received from 3rd remitting member"
label var INC_RMT "Total gross household income(annual)"
label var INC_WAGE "Wage and salaries(annual)"
label var INC_SOCA "Bonus and social allowance from wage job(annual)"
label var INC_FARM_G "Gross income from household farm businesses(annual)"
label var INC_NFARM_G "Gross income from household non-farm businesses(annual)"
label var INC_RENT "Rental income(annual)"
label var INC_FIN "Financial income from savings, loans, tax refunds, maturity payments, financial investments(annual)"
label var INC_PEN "Pension and other social assistance(annual)"
label var INC_STUDY "Study support(annual)"
label var INC_OTH "Other income(annual)"
label var INC_TOT_G "Total gross household income(annual)"
*-------------------------------------------------------------
order COUNTRY REGION PROVINCE DISTRICT HID SURVEYR RURURB HHSIZE HHSIZE_S ///
	WTA_HH WTA_POP HHSEX HHAGEY HHMARST HHEDLEV HHEMSTAT HHEMTYPE HHINDUSTRY ///
	OWNHOUSE ROOMS ROOF WALLS FLOOR WATER ADISWAT ATIMWAT ELECTCON ///
	FUELCOOK FUELLIGH TOILET GARBDISP DISPSCH DISPSCH1 TIMPSCH TIMPSCH1 ///
	DISHEAL DISHEAL1 TIMHEAL TIMHEAL1 AGLAND AGLNDOW OTHLNDOW LANDSIZE ///
	AREA_IRRIG AREA_NONIRRIG AREA_COLLAT LANDCON RADIO TV PHONE CPHONE ///
	INTERNET FRIDGE SEWMACH COMPUTER STOVE OXCART BCYCLE BOAT MCYCLE ///
	CAR LLIVESK MLIVESK POULTRY	PCEXP PCEXPDR PCEXPDR_PPP QUINTILE_N ///
	QUINTILE_R_U quintile_rur quintile_urb SEX_RMT_1 SEX_RMT_2 SEX_RMT_3 ///
	RELAT_RMT_1 RELAT_RMT_2 RELAT_RMT_3 DES_MIG_1 DES_MIG_2 DES_MIG_3 ///
	ORIGIN_RMT AMT_RMT_1 AMT_RMT_2 AMT_RMT_3 INC_RMT INC_WAGE INC_SOCA ///
	INC_FARM_G INC_NFARM_G INC_RENT INC_FIN INC_PEN INC_STUDY INC_OTH ///
	INC_TOT_G 

keep COUNTRY REGION PROVINCE DISTRICT HID SURVEYR RURURB HHSIZE HHSIZE_S ///
	WTA_HH WTA_POP HHSEX HHAGEY HHMARST HHEDLEV HHEMSTAT HHEMTYPE HHINDUSTRY ///
	OWNHOUSE ROOMS ROOF WALLS FLOOR WATER ADISWAT ATIMWAT ELECTCON ///
	FUELCOOK FUELLIGH TOILET GARBDISP DISPSCH DISPSCH1 TIMPSCH TIMPSCH1 ///
	DISHEAL DISHEAL1 TIMHEAL TIMHEAL1 AGLAND AGLNDOW OTHLNDOW LANDSIZE ///
	AREA_IRRIG AREA_NONIRRIG AREA_COLLAT LANDCON RADIO TV PHONE CPHONE ///
	INTERNET FRIDGE SEWMACH COMPUTER STOVE OXCART BCYCLE BOAT MCYCLE ///
	CAR LLIVESK MLIVESK POULTRY	PCEXP PCEXPDR PCEXPDR_PPP QUINTILE_N ///
	QUINTILE_R_U quintile_rur quintile_urb SEX_RMT_1 SEX_RMT_2 SEX_RMT_3 ///
	RELAT_RMT_1 RELAT_RMT_2 RELAT_RMT_3 DES_MIG_1 DES_MIG_2 DES_MIG_3 ///
	ORIGIN_RMT AMT_RMT_1 AMT_RMT_2 AMT_RMT_3 INC_RMT INC_WAGE INC_SOCA ///
	INC_FARM_G INC_NFARM_G INC_RENT INC_FIN INC_PEN INC_STUDY INC_OTH ///
	INC_TOT_G 
*-------------------------------------------------------------
des
sort HID
*total number of observations 5,998
save 04_AGGDATA\GHA_1998_H, replace
erase 04_AGGDATA\GHA_H.dta
