clear
set more off
set mem 200m
*generating GHA_1998_L.dta
cd "C:\Africa\Ghana\GLSS4-1998"
*--------------------------------------------------------
use "04_AGGDATA\GHA_1998_I",clear
des
*standardized individual file
*number of observations 26,411.
*--------------------------------------------------------
sort HID INDID
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
/*Data from Expenditure level file is merged.*/
use "04_AGGDATA\GHA_1998_E",clear
des
*Standardized expenditure file.
*Number of observations 5,998.
*--------------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_L
tab _merge
/* Correctly merged
3= 26,411*/
drop _merge
*--------------------------------------------------------
*keeping the variables relevant to the labor module
keep COUNTRY REGION PROVINCE DISTRICT HID SURVEYR RURURB WTA_HH INDID /// 
	SEX RELAT HEAD MARSTAT AGEY AGEM LITERACY EVERATTD EDLEVEL_AR ATSCHOOL EDYEARS ///
	FDPINDEX CPI2005_DEF PPP2005
*---------------------------------------------
*SVYAGE
gen SVYAGE = 7
*--------------------------------------------------------
sort HID INDID
save 04_AGGDATA\GHA_L, replace
count
*Number of observations 26,411
*--------------------------------------------------------
use "02_CLEANDATA\SEC2B", clear
des
/*Number of observations 11,939
Individual level file for individuals aged 5yrs or more
Contains information regarding vocational training*/
*--------------------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*5,035 unique values generated
*---------------------------------------------
*INDID
egen INDID = concat(pid)
*--------------------------------------------------------
*EMPLEDU
tab s2bq1, miss
*CHECK-consistently coded; no missing values
recode s2bq1 (2=0), gen(EMPLEDU) 
*--------------------------------------------------------
*EMPLEDU_TU
tab s2bq2, miss
*CHECK - consistently coded; 11,437 missing values
recode s2bq2 (1=.)(2 3 4 5=4), gen (EMPLEDU_TU)
tab EMPLEDU_TU, miss
/*CHECK: Consistently coded; 11,501 missing values- for individuals who responded No to EMPLEDU
1. Nothing is coded as 1"days"; 2"weeks"
2. 64 individuals who responded as none are recoded to missing.*/
*--------------------------------------------------------
*EMPLEDU_TIME
recode s2bq2 (1=.)(2=1)(3=2)(4=3)(5=4), gen (EMPLEDU_TIME)
tab EMPLEDU_TIME, miss
*CHECK-11,501 missing values
*--------------------------------------------------------
*EMPLEDU_CER
tab s2bq3, miss
*CHECK:consistently coded; 11,439 
recode s2bq3 (1=.),gen (EMPLEDU_CER) 
tab EMPLEDU_CER, miss
*CHECK-11,651 missing values
*--------------------------------------------------------
*EMPLEDU_SCHLTYP
tab s2bq4, miss
*CHECK:inconsistently coded-36 observations coded as 3, which is not coded; 11,439 missing values
recode s2bq4 (1=1)(2=2)(3=9),gen (EMPLEDU_SCHLTYP)
*36 undefined observations (coded 3)have been coded as 9 "other"
*--------------------------------------------------------
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
2=14,472
3=11,939*/
drop _merge
*--------------------------------------------------------
sort HID INDID
count
*number of observations 26,411
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
use "02_CLEANDATA\SEC2C",clear
des
/*Number of observations 22,254
Individual level file for individuals aged 5yrs or more
Contains information regarding literacy and apprenticeship*/ 
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*5,998 unique values generated
*---------------------------------------------
*INDID
egen INDID = concat(pid)
*--------------------------------------------------------
*APPREN
tab s2cq7, miss
*CHECK: Consistently coded; No missing values
recode s2cq7(2=1)(1 3 .=0),gen (APPREN)
/*Individuals who are currently an apprentice have been recoded as 0
appren_now - This variable is created for later use in EMPTYPE_WB_1*/
gen appren_now=1 if s2cq7==1
tab APPREN, m
*CHECK-2,666 were apprentices; No missing values
*--------------------------------------------------------
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
2=4,157
3=22,254*/
drop _merge
*--------------------------------------------------------
sort HID INDID
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
use "02_CLEANDATA\SEC4A", clear
des
/*Number of observations 20,476
Individual level file for all individuals aged 7 years or more
Contains screening information regarding employment in past 12 months*/ 
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*5,997 unique values generated; 1 household less than the universal set
*--------------------------------------------------------
*INDID
egen INDID = concat(pid)
*--------------------------------------------------------
*WORKED_Y
tab s4aq1, miss
/*CHECK:Consistently coded; No missing values
Captues individuals with wage jobs*/
tab s4aq2, miss
/*CHECK:Consistently coded; 1,553 missing values-individuals with wage jobs
Captues individuals with non-agri self employment jobs*/
tab s4aq3, miss
/*CHECK:Consistently coded; 4,935 missing values-individuals with wage jobs/non-agri self employment
Captues individuals with agri self employment jobs*/
tab s4aq4, miss
/*CHECK:Consistently coded; 11,222 missing values-individuals with wage jobs/non-agri self employment/ agri self employment
Captues individuals with unpaid family worker jobs*/
gen WORKED_Y=1 if (s4aq1==1|s4aq2==1|s4aq3==1|s4aq4==1)
replace WORKED_Y=0 if (s4aq1==2 & s4aq2==2 & s4aq3==2 & s4aq4==2)
tab WORKED_Y, miss
/*CHECK: Consistently coded; No missing values
1. No observaions coded as 99*/
*---------------------------------------------------------
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
2=5,935
3=20,476*/
drop _merge
*--------------------------------------------------------
sort HID INDID
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
use "02_CLEANDATA\SEC4G", clear
des
/*Number of observations 12,048
Individual level file for all individuals aged 7 yrs or more.
Contains information regarding activity status and employment search in last 7 days*/ 
*--------------------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*5,841 unique values generated
*---------------------------------------------
*INDID
egen INDID = concat(pid)
*--------------------------------------------------------
*WORKED_7
tab s4gq1, miss
*CHECK:Consistently coded; No missing values
recode s4gq1 (1=1)(2=0),gen (WORKED_7)
*Also consists of people who were absent from work.
tab s4gq3e, miss
/*CHECK:Inconsistent coding-4 observations have values more than the max value possible(24*7=168);
2,582 missing values.
Variable captures total hours worked in any occupation in the last 7 days.
To exclude absent personnel from WORKED_7 we remove individuals who responded 'yes' but
worked for 0 hours in the past 7 days*/
replace WORKED_7=0 if (s4gq3e==0 & WORKED_7==1)
tab WORKED_7 s4gq3e if s4gq3e==0 , miss
tab WORKED_7,miss
*CHECK: Consistently coded - No observaions coded as 99; No missing observations.
*--------------------------------------------------------
*ABSENT
gen ABSENT=1 if WORKED_7==0 & s4gq3e==0
replace ABSENT=0 if WORKED_7==0 & s4gq3e!=0
replace ABSENT=. if WORKED_7==1
tab WORKED_7 ABSENT, miss
/*CHECK: Correctly generated; 9,353 missing values
No observaions coded as 99.*/
*--------------------------------------------------------
*LOOKJOB_TU
gen LOOKJOB_TU = 1
*--------------------------------------------------------
*LOOKJOB
tab s4gq9, miss
*CHECK: consistently coded; 10,992 missing values
recode s4gq9 (1=1)(2=0), gen (LOOKJOB)
replace LOOKJOB=0 if (LOOKJOB==1 & WORKED_7==1) 
tab WORKED_7 LOOKJOB, miss
/*CHECK: Consistently coded. 10,992 missing values.*/ 
*--------------------------------------------------------
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
2=14,363
3=12,048*/
drop _merge
*--------------------------------------------------------
sort HID INDID
count
*number of observations 26,411
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
use "02_CLEANDATA\SEC4F", clear
des
/*Number of observations 9,796
Individual level file for all individuals aged 7 yrs or more  
Contains information regarding unemployment in last 12 months*/
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*4088 unique values generated
*---------------------------------------------
*INDID
egen INDID = concat(pid)
*--------------------------------------------------------
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
2=16,615
3=9,796*/
drop _merge
*--------------------------------------------------------
*NOTLAB_WB
*Step 1: Coded on the basis of 12 month information
tab s4fq5, miss
*CHECK: Consistently coded; 16,886 missing values
tab s4fq7, miss
*CHECK: Consistently coded; 26,294 missing values.
tab s4fq5 s4fq7, miss
/*There are 2 questions s4fq5 and s4fq7 that ask reasons for being inactive.
1. s4fq5 asks for the complete 12 month period
2. s4fq7 asks for unspecified time periods in the 12 month period.
s4fq7 is asked only if s4fq5 is missing.
Both these questions have been used to code NOTLAB_WB.*/
recode s4fq5(1=6)(2 3=0)(4 5=9), gen (NOTLAB_WB)
*using s4fq7
replace NOTLAB_WB=6 if s4fq7==1 & (NOTLAB_WB==9 | NOTLAB_WB==.)
replace NOTLAB_WB=0 if (s4fq7==2| s4fq7==3) & (NOTLAB_WB==9 | NOTLAB_WB==.)
replace NOTLAB_WB=9 if (s4fq7==4| s4fq7==8| s4fq7==9) & (NOTLAB_WB==9 | NOTLAB_WB==.)
replace NOTLAB_WB=1 if s4fq7==5 & (NOTLAB_WB==9 | NOTLAB_WB==.)
replace NOTLAB_WB=5 if s4fq7==6 & (NOTLAB_WB==9 | NOTLAB_WB==.)
replace NOTLAB_WB=3 if s4fq7==7 & (NOTLAB_WB==9 | NOTLAB_WB==.)
*Individuals aged less than 5 years are coded as 4'Dependent'
replace NOTLAB_WB=4 if AGEM<=60
/*ASSUMPTIONS
1.Individuals who responded 'no suitable work available' have been coded as 6'discouraged workers'
2.Individuals who responded 'off season in agri' / 'other' have been coded as 9'other'
Step 2: Adding information from 7 day section*/
tab s4gq10, miss
*CHECK: Consistently coded; 25,817 missing values.
replace NOTLAB_WB=6 if s4gq10==1 & (NOTLAB_WB==9 | NOTLAB_WB==.)
replace NOTLAB_WB=0 if (s4gq10==2| s4gq10==3| s4gq10==8) & (NOTLAB_WB==9 | NOTLAB_WB==.)
replace NOTLAB_WB=9 if (s4gq10==4| s4gq10==9| s4gq10==10) & (NOTLAB_WB==9 | NOTLAB_WB==.)
replace NOTLAB_WB=1 if s4gq10==5 & (NOTLAB_WB==9 | NOTLAB_WB==.)
replace NOTLAB_WB=5 if s4gq10==6 & (NOTLAB_WB==9 | NOTLAB_WB==.)
replace NOTLAB_WB=3 if s4gq10==7 & (NOTLAB_WB==9 | NOTLAB_WB==.)
/*ASSUMPTIONS
1.Individuals who responded 'no suitable work available' have been coded as 6'discouraged workers'
2.Individuals who responded 'on vacation' / 'other' have been coded as 9'other'
3.Individuals who responded 'waiting for new job' / 'starting business' have been coded as 0'In labor force'
4.To be checked against LABFORCE_WB later.*/
*--------------------------------------------------------
sort HID INDID
count
*number of observations 26,411
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
use "02_CLEANDATA\SEC8A2", clear
des
/*Number of observations 4,841
Household level file
Contains information regarding livestock*/ 
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*2,273 unique values generated
*--------------------------------------------------------
tab s8aq21, m
*CHECK: Consistently coded-Nothing is coded as 2'No'; No missing values 
keep if s8aq21==1
*--------------------------------------------------------
collapse s8aq21 ,by (HID)
tab s8aq21, m
*CHECK: Consistently coded; no missing values
gen famlivestock=1 if s8aq21!=.
/*CHECK: Consistently coded; no missing values
1. famlivestock will be used to check if the family raises livestock.*/
*--------------------------------------------------------
sort HID 
merge HID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
2=14,221
3=12,190*/
drop _merge
*--------------------------------------------------------
sort HID INDID
count
*number of observations 26,411
codebook HID
*number of households 5,998
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
use "02_CLEANDATA\SEC8B", clear
des
/*Number of observations 10,570
Household level file with observations at land asset level
Contains information regarding household agricultural land assets*/ 
*--------------------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*3,941 unique values generated
*--------------------------------------------------------
tab farmcd, m
*CHECK: Consistently coded; no missing values
*--------------------------------------------------------
collapse farmcd ,by (HID)
tab farmcd, m
*CHECK: Consistently coded; no missing values
gen famfarm=1 if farmcd !=.
/*CHECK: Consistently coded; no missing values
1. famfarm will be used to check if the family has a farm or not. 
2. Includes both owned and/or operated but excludes if land was rented out or sharecropped out.*/
*--------------------------------------------------------
sort HID 
merge HID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
2=7,420
3=18,991*/
drop _merge
*--------------------------------------------------------
sort HID INDID
count
*number of observations 26,411
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
use "02_CLEANDATA\SEC4J", clear
des
/*Number of observations 20,654
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding household chores*/
*--------------------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*5,998 unique values generated
*--------------------------------------------------------
*INDID
egen INDID = concat(pid)
*--------------------------------------------------------
*FETCHWOOD
tab s4jq1, miss
*CHECK: Consistently coded; No missing values
gen FETCHWOOD=1 if s4jq1==1
*--------------------------------------------------------
*FETCHWATER
tab s4jq3, miss
*CHECK: Consistently coded; No missing values
gen FETCHWATER=1 if s4jq3==1
tab FETCHWOOD FETCHWATER, miss
*CHECK: Consistently coded; 9,176 missing values for both 
*--------------------------------------------------------
*HOUR_NECON
tab s4jq6, miss
*CHECK: Consistently coded; 2 observations with 0 values; 16,189 missing values
tab s4jq8, miss
*CHECK: Consistently coded; 15,169 missing values
tab s4jq10, miss
*CHECK: Consistently coded; 20,495 missing values
tab s4jq12, miss
*CHECK: Consistently coded; 2 observations with 0 values; 10,660 missing values
tab s4jq14, miss
*CHECK: Consistently coded; 6 observations with 0 values; 13,774 missing values
tab s4jq16, miss
*CHECK: Consistently coded; 2 observations with 0 values; 12,469 missing values
tab s4jq18, miss
*CHECK: Consistently coded; 2 observations with 0 values; 14,253 missing values
tab s4jq20, miss
*CHECK: Consistently coded; 2 observations with 0 values; 11,762 missing values
tab s4jq22, miss
*CHECK: Consistently coded; 1 observations with 0 values; 11,812 missing values
egen HOUR_NECON= rowtotal (s4jq6 s4jq8 s4jq10 s4jq12 s4jq14 s4jq16 s4jq18 s4jq20 s4jq22)
tab HOUR_NECON if HOUR_NECON>=168
*CHECK: Consistently coded, no observations beyond 168 hours in a week
*--------------------------------------------------------
*merged to check for conditionalities
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
2=5,757
3=20,654*/
drop _merge
*--------------------------------------------------------
*Identifying and restricting the dataset to home-makers
keep if WORKED_Y!=1 & WORKED_7!=1 & ABSENT!=1 & NOTLAB_WB==1
count
*number of observations 11
*--------------------------------------------------------
*EMPLHOME
gen EMPLHOME=0 if (famlivestock==. & famfarm==.)
replace EMPLHOME=1 if (famlivestock==1|famfarm==1)
tab EMPLHOME, miss
*CHECK: 2 individuals classified as EMPLHOME=1
*--------------------------------------------------------
*merging the rest of the Labor variables
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
2=26,400
3=11*/
drop _merge
*--------------------------------------------------------
sort HID INDID
count
*number of observations 26,411
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
***********PRIMARY EMPLOYMENT INFORMATION**************
*--------------------------------------------------------
use "02_CLEANDATA\SEC4B", clear
des
/*Number of observations 10,875
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding primary occupation*/ 
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*5,742 unique values generated
*---------------------------------------------
*INDID
egen INDID = concat(pid)
*--------------------------------------------------------
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
2=15,536
3=10,875*/
drop _merge
*--------------------------------------
*EMPTYPE_WB_1
*STEP 1: Information from 12 month section*/
tab s4bq8, miss
/*CHECK:Inconsistently coded - 14 observations are coded as 7; 15,536 missing values*/
recode s4bq8 (1=1)(2=2)(3 5=3)(4 6=6)(7=9)(.=99), gen(EMPTYPE_WB_1)
replace EMPTYPE_WB_1=7 if appren_now==1 
*no observations have been coded as 4 'employer' and 5'domestic employee'
tab EMPTYPE_WB_1, miss
/*CHECK:Consistently coded; 14,969 missing values coded as 99
STEP 2: Information from 7 day section
No such information in 7 day section.*/
*--------------------------------------------------------
sort HID INDID
count
*number of observations 26,411
save 04_AGGDATA\GHA_L, replace
*--------------------------------------
use "02_CLEANDATA\SEC6", clear
des
/*Number of observations 5,988
Household level file for identifying individuals to respond to farming modules*/ 
*--------------------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*5,998 unique values generated
*--------------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
3=26,411*/
drop _merge
*--------------------------------------------------------
*EMPTYPE_WB_1, Cont.
destring INDID, gen(nindid) 
gen farmer=1 if (nindid==s6q2a | ///
	nindid==s6q2b | ///
	nindid==s6q2c | ///
	nindid==s6q2d | ///
	nindid==s6q2e | ///
	nindid==s6q3a | ///
	nindid==s6q3b | ///
	nindid==s6q3c | ///
	nindid==s6q3d | ///
	nindid==s6q5a | ///
	nindid==s6q5b | ///
	nindid==s6q5c | ///
	nindid==s6q5d)
gen emptype_6=1 if (nindid==s6q9id1 | ///
	nindid==s6q9id2 | ///
	nindid==s6q9id3 | ///
	nindid==s6q9id4 | ///
	nindid==s6q9id5)	
drop INDID
tostring nindid, gen(INDID)
drop nindid
*--------------------------------------------------------
sort HID INDID
count
*number of observations 26,411
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
use "02_CLEANDATA\SEC10A", clear
des
/*Number of observations 3,386
Household enterprise level file
Contains information regarding household enterprises*/
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
* 2,750 unique values generated
*--------------------------------------------
*INDID
tab s10aq2, m
*CHECK: consistently coded; 2 missing values
drop if s10aq2==.
egen INDID = concat(s10aq2)
*---------------------------------------------
duplicates r HID INDID
/*There are 134 duplicate observations with HID and INDID. 
These exist because there are households with more than 1 enterprise managed by the same individual.
Since we are interested in the individual we drop the duplicates.*/
duplicates drop HID INDID, force
*---------------------------------------------
*emptype_10a1
gen emptype_10a1=1 
/*Since this section deals with enterprises, it is assumed that all individuals are 'self-employed with employees'.
Based on the information in Sec10a it is not possible to further classify the individuals.*/
*---------------------------------------------
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
1=2 : Individuals from the additional households. Informaiton is dropped
2=23,163
3=3,248*/
drop if _merge==1
drop _merge
*--------------------------------------------------------
*EMPTYPE_WB_1, Cont.
*checking to see if the persons responsible in sec 6b and 10a match
tab emptype_6 emptype_10a1, m
*105 additional observations are captured in sec10a that had not been captured in sec6
*---------------------------------------------
sort HID INDID
count
*number of observations 26,411
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
use "02_CLEANDATA\SEC10A", clear
des
/*Number of observations 3,386
Household enterprise level file
Contains information regarding household enterprises*/
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
* 2,750 unique values generated
*---------------------------------------------
*Information regarding family workers is in variables s10aq12a and s10aq12b.
tab s10aq12a, m
*CHECK: Consistently coded; 3,026 missing values
tab s10aq12b, m
*CHECK: Consistently coded; 3,267 missing values
*Step 1: Replacing all missing values of s10aq12* to 0
for var s10aq12*: replace X=0 if X==.
/*STEP 2: Generating 13 new variables with 0 values. 
Then replacing its value by the value of the Individual ID of the family worker*/
forvalues i=1/13 {
	gen famworker`i'=0
	}
forvalues i=1/13 {
	replace famworker`i'=`i' if (s10aq12a==`i' | s10aq12b==`i')
}
collapse (max) famworker*, by(HID)
/* The IDs of each family worker has been captured as a separate variable (column).
It is now collapsed at the household level.*/
count
/*Number of observations 2750.
Then the dataset is transposed so that observations are now correspond to individuals*/
reshape long famworker, i(HID) j(newid)
count
*number of observations 35,750
drop newid
*Since most of the observations are non meaningful (0 values and duplicted values), these are dropped
duplicates r
duplicates drop
* 32,534 observations dropped
drop if famworker==0
* 2750 observations deleted
count
*466 observations remaining
egen INDID=concat(famworker)
*---------------------------------------------
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
1= 2 : incorrectly coded IDs. These are dropped
2= 25,947
3= 464*/
drop if _merge==1
drop _merge
*--------------------------------------------------------
gen emptype_10a2=1 if famworker!=.
tab emptype_10a2, m
*CHECK: Consistently coded; 25,947 missing values
*--------------------------------------------------------
*EMPTYPE_WB_1, Cont.
*Adding information from farmer, emptype_6b, emptype_10a1 and emptype_10a2
replace EMPTYPE_WB_1=3 if farmer==1 & (EMPTYPE_WB_1==9 | EMPTYPE_WB_1==99)
*It is assumed that all self employed agricultural workers are self-employed w/o employees
replace EMPTYPE_WB_1=2 if (emptype_6!=. & (EMPTYPE_WB_1==3| EMPTYPE_WB_1==9 | EMPTYPE_WB_1==99))
replace EMPTYPE_WB_1=6 if (emptype_10a2!=. & (EMPTYPE_WB_1==3| EMPTYPE_WB_1==9 | EMPTYPE_WB_1==99))
replace EMPTYPE_WB_1=2 if (emptype_10a1!=. & (EMPTYPE_WB_1==3|EMPTYPE_WB_1==9 | EMPTYPE_WB_1==99))
*--------------------------------------------------------
*Including FETCHWOOD/FETCHWATER in the variable EMPTYPE_WB_1
replace EMPTYPE_WB_1=6 if (FETCHWOOD==1|FETCHWATER==1)&(EMPTYPE_WB_1==9 | EMPTYPE_WB_1==99)
*individuals involved in collecting wood/water for the household are considered 6 'family workers'
tab EMPTYPE_WB_1, miss
*CHECK:Consistently coded; 14,422 missing values coded as 99
*--------------------------------------------------------
*CHECK: Including EMPLHOME in the variable EMPTYPE_WB_1
replace EMPTYPE_WB_1=6 if EMPLHOME==1 & (EMPTYPE_WB_1==9 | EMPTYPE_WB_1==99)
*individuals in household that engage in farming or raising livestock are considered 6 'family workers'
tab EMPTYPE_WB_1, miss
*CHECK:Consistently coded; 14,422 missing values coded as 99
*--------------------------------------------------------
*EMP_IND_SVY_1
tab s4bq4, miss
/*CHECK: Inconsistently coded - 6 observations are incorrectly coded;
15,536 missing values*/
gen EMP_IND_SVY_1=s4bq4
*--------------------------------------
*INDUSTRY_1 
*STEP 1: Information from 12 month section*/
recode EMP_IND_SVY_1 /// 
	(111/130=1) ///
	(210/290=2) ///
	(311/390=3) ///
	(410/420=4) ///
	(500=5) ///
	(610/632=6) ///
	(711/720=7) ///
	(810/833=8) ///
	(910 960=9) ///
	(920/959=10) , gen(INDUSTRY_1)
tab INDUSTRY_1, miss
/*CHECK: Inconsistent coding - 6 observations are incorrectly coded. 
These have been recoded based on their corresponding values for s4aq6.*/
tab s4bq4 s4aq6 if (s4bq4==13|s4bq4==49|s4bq4==98|s4bq4==99|s4bq4==110|s4bq4==652),m
replace INDUSTRY_1=10 if (s4bq4==13|s4bq4==652)
replace INDUSTRY_1=6 if (s4bq4==49|s4bq4==98)
replace INDUSTRY_1=. if s4bq4==99
replace INDUSTRY_1=1 if s4bq4==110
replace INDUSTRY_1=1 if EMPLHOME==1 & INDUSTRY_1==.
/*Missing values are left unaltered.
Nothing is coded as 11'unspecified'*/
tab INDUSTRY_1, miss
/*CHECK:Consistent coding; 15,535 missing values. 
STEP 2: Information from 7 day section
No such information in 7 day section.*/
*--------------------------------------
*EMPFRM_1
gen EMPFRM_1=1 if INDUSTRY_1==1
*---------------------------------------------
sort HID INDID
count
*number of observations 26,411
save 04_AGGDATA\GHA_L, replace
*---------------------------------------------
*Restricting the dataset to wage employees only
keep if (EMPTYPE_WB_1==1 | EMPTYPE_WB_1==4 | EMPTYPE_WB_1==5 | EMPTYPE_WB_1==7 | EMPTYPE_WB_1==9)
count
/*2120 individuals identified rest 24,291 are dropped
Information from 12 month section.*/ 
*--------------------------------------------------------
*EMPSEC_1
*STEP 1: Information from 12 month section*/
tab s4bq9, miss
/*CHECK:Consistently coded; 567 missing values*/
recode s4bq9 (1 4 5 7 8 9 10 96=3)(2 6=1)(3=2), gen(EMPSEC_1)
*individuals employed in international organizations are considered public sector
tab EMPSEC_1, miss
/*CHECK:Consistently coded; 567 missing values
STEP 2: Information from 7 day section
No such information in 7 day section.*/
*--------------------------------------
*CONTRACT
*STEP 1: Information from 12 month section*/
tab s4bq26, miss
*CHECK: consistently coded; 775 missing values
recode s4bq26 (2=0), gen (CONTRACT)
/*STEP 2: Information from 7 day section
No such information in 7 day section.*/
*--------------------------------------
*WAGE_1
*STEP 1: Information from 12 month section*/
tab s4bq5, miss
*CHECK: consistently coded; 567 missing values
tab s4bq6a s4bq6b, miss
*CHECK: Consistently coded; 616 observations have both missing values.
gen WAGE_1=s4bq6a
replace WAGE_1=0 if s4bq5==2
*Individuals who do not receive money for the work are coded as 0
*------------------------------------------------------
*UNITWAGE_1
tab s4bq6b, miss
*CHECK: Consistently coded; 616 missing values
recode s4bq6b(1=2)(2=3)(3=5)(4=6)(5=7)(6=9),gen (UNITWAGE_1)
replace UNITWAGE_1=0 if WAGE_1==0
/*Individuals who do not receive wages have UNITWAGE_1 coded as 0.
No observations are coded as 1'hourly'; 8'biannually';10'other'.*/
*--------------------------------------------------------
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
2= 24,291
3= 2,120*/
drop _merge
*------------------------------------------------------
*EMP_CAT_1
gen EMP_CAT_1=1 if (EMPTYPE_WB_1==1 |EMPTYPE_WB_1==4 |EMPTYPE_WB_1==5 |EMPTYPE_WB_1==7 |EMPTYPE_WB_1==9)
replace EMP_CAT_1=2 if (EMPTYPE_WB_1==2 |EMPTYPE_WB_1==3 |EMPTYPE_WB_1==6)
replace EMP_CAT_1=12 if EMP_CAT_1==1 & (EMPFRM_1!=1)
replace EMP_CAT_1=13 if EMP_CAT_1==1 & (EMPFRM_1==1)
replace EMP_CAT_1=11 if (EMP_CAT_1==12 | EMP_CAT_1==13) & (EMPSEC_1==1 |EMPSEC_1==2)
replace EMP_CAT_1=21 if (EMP_CAT_1==2 & EMPFRM_1!=1)
replace EMP_CAT_1=22 if (EMP_CAT_1==2 & EMPFRM_1==1)
tab EMP_CAT_1, m
*CHECK: Consistently coded; 14,422 missing values
tab EMP_CAT_1 if AGEY>14
tab EMP_CAT_1 [aw=WTA_HH] if AGEY>14
*------------------------------------------------------
*WHOURS_1
tab s4bq7a, miss
/*CHECK: consistently coded - 6 observations have 0 value; 18,125 missing values.*/
tab s4bq7b, miss
/*CHECK: consistently coded; 18,134 missing values.*/
tab s4bq7a s4bq7b, miss
/*CHECK: consistently coded; 18,125 missing values for both.*/
gen WHOURS_1=(s4bq7a*5) if s4bq7b==1
*Assuming 5 work days in a week
replace WHOURS_1=s4bq7a if s4bq7b==2
replace WHOURS_1=(s4bq7a/2.14) if s4bq7b==3
*Assuming 1 fortnight=2.14 weeks
replace WHOURS_1=(s4bq7a/4) if s4bq7b==4
*Assuming 1 month=4 weeks
replace WHOURS_1=(s4bq7a/13) if s4bq7b==5
*Assuming 1 quarter=13 weeks
replace WHOURS_1=(s4bq7a/52) if s4bq7b==6
*Assuming 1 year=52 weeks
replace WHOURS_1=1 if (WHOURS_1>0 & WHOURS_1<=.5)
*to prevent meaningful values from being rounded to 0.
replace  WHOURS_1=round( WHOURS_1,1)
tab WHOURS_1 s4bq7b, miss
/*CHECK: consistently coded; 18,134 missing values.*/
*--------------------------------------
*SOU_AGRI_1
gen SOU_AGRI_1=0 if EMP_CAT_1!=. 
replace SOU_AGRI_1=1 if (EMP_CAT_1==13|EMP_CAT_1==22)  
tab SOU_AGRI_1, m
*CHECK: Consistently coded; 14,422 missing values
*--------------------------------------
*SOU_NFARM_1
gen SOU_NFARM_1=0 if EMP_CAT_1!=. 
replace SOU_NFARM_1=1 if EMP_CAT_1==21  
tab SOU_NFARM_1, m
*CHECK: Consistently coded; 14,422 missing values
*--------------------------------------
*SOU_WAGE_1
gen SOU_WAGE_1=0 if EMP_CAT_1!=. 
replace SOU_WAGE_1=1 if (EMP_CAT_1==11|EMP_CAT_1==12)  
tab SOU_WAGE_1, m
*CHECK: Consistently coded; 14,422 missing values
*--------------------------------------------------------
*UNEMPLOYED_ILO
gen UNEMPLOYED_ILO=0 if (WORKED_7==1|ABSENT==1)
replace UNEMPLOYED_ILO=1 if (WORKED_7!=1 & ABSENT!=1 & LOOKJOB==1)
replace UNEMPLOYED_ILO=0 if EMPLHOME==1
tab UNEMPLOYED_ILO, miss
*CHECK: Consistently coded; 16,642 missing values
*--------------------------------------------------------
*LABFORCE_WB
gen LABFORCE_WB=0 if (WORKED_Y!=. | WORKED_7!=. | ABSENT!=. | EMPLHOME!=. | UNEMPLOYED_ILO!=.) 
replace LABFORCE_WB=1 if (WORKED_Y==1 | WORKED_7==1 | ABSENT==1 | EMPLHOME==1 | UNEMPLOYED_ILO==1|EMPTYPE_WB_1!=99)
tab LABFORCE_WB, miss
*CHECK: Consistently coded; 5,861 missing values.
*--------------------------------------------------------
*EMPLOYED_WB
gen EMPLOYED_WB=0 if LABFORCE_WB==1
replace EMPLOYED_WB=1 if (WORKED_Y==1 | WORKED_7==1 | ABSENT==1 | EMPLHOME==1| EMPTYPE_WB_1!=99)
tab EMPLOYED_WB, miss
*CHECK: Consistently coded; 13,290 missing values
*--------------------------------------------------------
*UNEMPLOYED_WB
gen UNEMPLOYED_WB=0 if LABFORCE_WB==1
replace UNEMPLOYED_WB=1 if (WORKED_Y!=1 & UNEMPLOYED_ILO==1 & EMPTYPE_WB_1==99)
tab UNEMPLOYED_WB, miss
/*CHECK: Consistently coded; 13,290 missing values
1. 139 individuals are unemployed.*/
*--------------------------------------------------------
*Consistency check for NOTLAB_WB against LABFORCE_WB
tab NOTLAB_WB LABFORCE_WB, miss
*CHECK: Inconsistent. Individuals worked but also gave a reason as to why they were inactive.
count if NOTLAB_WB!=. & LABFORCE_WB==1
/*CHECK: 2270 individuals gave a reason for not being in the laborforce 
but responded that they had worked.
According to the SHIP manual such individuals are considered as part of the Laborforce and recoded accordingly.*/
replace NOTLAB_WB=0 if LABFORCE_WB==1
tab NOTLAB_WB, m
*CHECK:Consistently coded; 1,723 missing values
*--------------------------------------------------------
sort HID INDID
count
*number of observations 26,411
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
***********SECONDARY EMPLOYMENT INFORMATION**************
*--------------------------------------------------------
use "02_CLEANDATA\SEC4C", clear
des
/*Number of observations 2,888
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding secondary occupation*/ 
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*2,242 unique values generated
*---------------------------------------------
*INDID
egen INDID = concat(pid)
*--------------------------------------------------------
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
2=23,523
3=2,888*/
drop _merge
*--------------------------------------
*EMPTYPE_WB_2
tab s4cq12, miss
*CHECK: consistently coded; 23,523 missing values
recode s4cq12 (1 9=3)(2 3 4 5 6 7=1)(8=2)(10=6)(11=9)(.=99), gen(EMPTYPE_WB_2)
tab EMPTYPE_WB_2,m
/*Current apprenticeship is not included since it has been included in primary job.
Individuals involved in collecting wood/water for the household not included since already included in primary job.
No observations have been coded as 4 'employer'; 5'domestic employee'; 7'appenticeship'.*/
*--------------------------------------
*EMP_IND_SVY_2
tab s4cq1, miss
*CHECK: consistently coded; 23,523 missing values
gen EMP_IND_SVY_2=s4cq1
*--------------------------------------
*INDUSTRY_2
recode EMP_IND_SVY_2 /// 
	(111/130=1) ///
	(210/290=2) ///
	(311/390=3) ///
	(410/420=4) ///
	(500=5) ///
	(610/632=6) ///
	(711/720=7) ///
	(810/833=8) ///
	(910 960=9) ///
	(920/959=10) , gen(INDUSTRY_2)
tab INDUSTRY_2,m
/*CHECK: Inconsistently coded. There are 14 observations that are incorrectly coded.
These have been checked against s4cq12 to determine the Industry.*/
tab INDUSTRY_2 s4cq12 if (INDUSTRY_2>10 & INDUSTRY_2<.)
replace INDUSTRY_2=1 if INDUSTRY_2==61
*The industry for 8 observations can be identified, rest are recoded to missing.
replace INDUSTRY_2=. if (INDUSTRY_2>10 & INDUSTRY_2<.)
/*Missing values are left unaltered.
Nothing is coded as 11'unspecified'*/
tab INDUSTRY_2,m
*CHECK: Consistently coded; 23,529 missing values.
*------------------------------------------------------
*EMPFRM_2
gen EMPFRM_2=1 if INDUSTRY_2==1
*--------------------------------------------------------
*EMPSEC_2
*STEP 1: Information from 12 month section*/
tab s4cq12, miss
*CHECK:Consistently coded; 23,523 missing values.
recode s4cq12 (1 4 5 7 8 9 10 11=3)(2 6=1)(3=2), gen(EMPSEC_2)
*Individuals employed in international organizations are considered public sector
tab EMPSEC_2, miss
/*CHECK:Consistently coded; 23,523 missing values
STEP 2: Information from 7 day section
No such information in 7 day section.*/
*--------------------------------------
*EMP_CAT_2
gen EMP_CAT_2=1 if (EMPTYPE_WB_2==1 |EMPTYPE_WB_2==4 |EMPTYPE_WB_2==5 |EMPTYPE_WB_2==7 |EMPTYPE_WB_2==9)
replace EMP_CAT_2=2 if (EMPTYPE_WB_2==2 |EMPTYPE_WB_2==3 |EMPTYPE_WB_2==6)
replace EMP_CAT_2=12 if EMP_CAT_2==1 & (EMPFRM_2!=1)
replace EMP_CAT_2=13 if EMP_CAT_2==1 & (EMPFRM_2==1)
replace EMP_CAT_2=11 if (EMP_CAT_2==12 | EMP_CAT_2==13) & (EMPSEC_2==1 |EMPSEC_2==2)
replace EMP_CAT_2=21 if (EMP_CAT_2==2 & EMPFRM_2!=1)
replace EMP_CAT_2=22 if (EMP_CAT_2==2 & EMPFRM_2==1)
tab EMP_CAT_2, m
*CHECK:Consistently coded; 23,523 missing values.
tab EMP_CAT_2 if AGEY>14
tab EMP_CAT_2 [aw=WTA_HH] if AGEY>14
*--------------------------------------------------------
sort HID INDID
count
*number of observations 26,411
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
use "02_CLEANDATA\SEC4C", clear
des
/*Number of observations 2,888
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding secondary occupation*/ 
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*2,242 unique values generated
*---------------------------------------------
*INDID
egen INDID = concat(pid)
*--------------------------------------------------------
*merging to check conditionality EMPTYPE_WB_2=1
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
2=23,523
3=2,888*/
drop _merge
*--------------------------------------
*keeping observations relating to only wage employees 
keep if (EMPTYPE_WB_2==1 | EMPTYPE_WB_2==4 | EMPTYPE_WB_2==5 | EMPTYPE_WB_2==7 | EMPTYPE_WB_2==9)
count
*number of observations 125
*--------------------------------------
*WAGE_2
tab s4cq9, miss
*CHECK: consistently coded; 3 individuals were paid in kind thus missing.
tab s4cq10a s4cq10b, miss
*CHECK: consistently coded; 3 individuals were paid in kind thus missing.
gen WAGE_2=s4cq10a
replace WAGE_2=0 if s4cq9==2
*3 individuals who do not receive money for the work are coded as 0
*--------------------------------------
*UNITWAGE_2
recode s4cq10b(1=2)(2=3)(3=5)(4=6)(5=7)(6=9),gen (UNITWAGE_2)
replace UNITWAGE_2=0 if WAGE_2==0
/*3 individuals who do not receive wages have UNITWAGE_2 coded as 0.
No observations are coded as 1'hourly'; 8'biannually';10'other'.*/
*--------------------------------------
*WHOURS_2
tab s4cq7, miss
/*CHECK: consistently coded; no missing values.
1. Maximum value is 90 , below the maximum possible value of 168.*/
gen WHOURS_2=s4cq7
*--------------------------------------------------------
*merging to add on the dropped observations
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
2=26,286
3=125*/
drop _merge
*-------------------------------------------------------
*SOU_AGRI_2
gen SOU_AGRI_2=0 if EMP_CAT_2!=. 
replace SOU_AGRI_2=1 if (EMP_CAT_2==13|EMP_CAT_2==22)  
tab SOU_AGRI_2, m
*CHECK: Consistently coded; 23,523 missing values
*-------------------------------------------------------
*SOU_NFARM_2
gen SOU_NFARM_2=0 if EMP_CAT_2!=. 
replace SOU_NFARM_2=1 if EMP_CAT_2==21  
tab SOU_NFARM_2, m
*CHECK: Consistently coded; 23,523 missing values
*--------------------------------------------------------
*SOU_WAGE_2
gen SOU_WAGE_2=0 if EMP_CAT_2!=. 
replace SOU_WAGE_2=1 if (EMP_CAT_2==11|EMP_CAT_2==12)  
tab SOU_WAGE_2, m
*CHECK: Consistently coded; 23,523 missing values
*--------------------------------------------------------
sort HID INDID
count
*number of observations 26,411
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
*labelling the variables
label var COUNTRY "Country code"
label var REGION "Region"
label var PROVINCE "Province"
label var DISTRICT "District"
label var HID "Household unique identification"
label var SURVEYR "Year of survey"
label var RURURB "Area of residence"
label var WTA_HH "Individual weighting coefficient"
label var INDID "Individual identification"
*label def sex 0"Female" 1"Male"
label val SEX sex
label var SEX "Sex"
/*label def relation 1"Head" ///
	2"Spouse" ///
	3"Child" ///
	4"Father/Mother" ///
	5"Grandchild" ///
	6"Son/Daughter in law" ///
	7"Other relative" ///
	8"Domestic help/Paying boarder" ///
	9"Non-relative"*/
label val RELAT relation
label var RELAT "Relationship to household head"
*label def yn 1"Yes"0"No"
label val HEAD yn
label var HEAD "Household head"
/*label def mstatus 1"Never married" ///
	2"Married monogamous" ///
	3"Married polygamous" ///
	4"Common law,Living together" ///
	5"Divorced/Separated" ///
	6"Widowed"*/
label val MARSTAT mstatus
label var MARSTAT "Marital status"
label var AGEY "Age in completed years"
/*label def litstat 1"Can read or write" ///
	2"Cannot read or write" ///
	3"Cannot be determined"*/
label val LITERACY litstat
label var LITERACY "Literacy status"
label val EVERATTD yn
label var EVERATTD "Ever attended school"
/*label def edlev 0"No education" ///
	1"Pre-school/ primary, not completed" ///
	2"Completed primary, but less than completed lower secondary" ///
	3"Completed lower secondary but less than completed upper secondary" ///
	4"Completed upper secondary" ///
	5"Post-secondary technical" ///
	6"University and higher" ///
	7"Formal adult education/litracy program" ///
	9"Other"*/
label val EDLEVEL_AR edlev
label var EDLEVEL_AR "Highest level of education completed"
label var EDYEARS "Years of education"
label var FDPINDEX"Regional food price deflators"
label var CPI2005_DEF "CPI deflator"
label var PPP2005 "2005 PPP Exchange Rate"
label def yns 1 "Yes" ///
	2 "No" ///
	99 "Question not in survey"
label val EMPLEDU yns
label var EMPLEDU "Post school vocational training"
label var SVYAGE "Lower age cutoff for employment survey"
label def empledu_tu 1 "Days" ///
	2 "Weeks" ///
	3 "Months" ///
	4 "Years" 	
label val EMPLEDU_TU empledu_tu
label var EMPLEDU_TU "Time unit of course duration"
label var EMPLEDU_TIME "Number of EMPLEDU_TU"
label var EMPLEDU_CER "Highest certificate obtained"
label def empledu_schltyp 1 "Public" ///
	2 "Private" ///
	3 "Other"	
label val EMPLEDU_SCHLTYP empledu_schltyp
label var EMPLEDU_SCHLTYP "Type of training institute"
label val APPREN yns
label var APPREN "Apprenticeship"
label val WORKED_Y yns
label var WORKED_Y "Laborforce screening last year"
label val WORKED_7 yns
label var WORKED_7 "Laborforce screening last 7 days"
label val ABSENT yns
label var ABSENT "Absent for last 7 days or more"
label var LOOKJOB_TU "Number of weeks"
label val LOOKJOB yns
label var LOOKJOB "Looked for job in last 'LOOKJOB_TU' weeks"
label val FETCHWOOD yns
label var FETCHWOOD "Fetched wood for the household"
label val FETCHWATER yns
label var FETCHWATER "Fetched water for the household"
label def notlab_wb 0"In labor force" ///
	1 "Household duties" ///
	2 "Retired" ///
	3 "Student" ///
	4 "Dependent (too young/too old)" ///
	5 "Disabled/ill" ///
	6 "Discouraged worker" ///
	9 "Other" 
label val NOTLAB_WB notlab_wb
label var NOTLAB_WB "Reason not in laborforce"
label val EMPLHOME yns
label var EMPLHOME "Employment of women home-makers"
label def emptype_wb 1 "Wage & salaried worker" ///
	2 "Self-employed with employees" ///
	3 "Self-employed w/o employees" ///
	4 "Employer" ///
	5 "Domestic employees" ///
	6 "Family worker" ///
	7 "Apprentice" ///
	9 "Volunteer" ///
	99 "Other/not known/ missing"
label val EMPTYPE_WB_1 emptype_wb
label var EMPTYPE_WB_1 "Type of employment, Primary job"
label var EMP_IND_SVY_1 "Industry classification, Primary job"
label def industry 1 "Agriculture and fishing" ///
	2 "Mining" ///
	3 "Manufacturing" ///
	4 "Electricity and utilities" ///
	5 "Construction" ///
	6 "Commerce" ///
	7 "Transportation, storage & communications" ///
	8 "Financial, insurance & real estate" ///
	9 "Services: Public administration" ///
	10 "Other services" ///
	11 "Unspecified" 
label val INDUSTRY_1 INDUSTRY_2 industry
label var INDUSTRY_1 "1 digit industry classificaton, Primary job"
label val EMPFRM_1 yns
label var EMPFRM_1 "Farm employment"
label def empsec 1"Public, Govt, Army" ///
	2 "State owned" ///
	3 "Private/ NGO"
label val EMPSEC_1 empsec
label var EMPSEC_1 "Employment sector, Primary job"
label val CONTRACT yn
label var CONTRACT "Employment contract"
label def emp_cat 11"Wage public" ///
	12 "Wage private non-agri" ///
	13 "Wage private agri" ///
	21 "Family enterprise" ///
	22 "Family farmer"
label val EMP_CAT_1 EMP_CAT_2 emp_cat
label var EMP_CAT_1 "Employment categories, Primary job"
label var WAGE_1 "Last week wage payment in nominal local currency, Primary job"
label def unitwage 1"Hourly" ///
	2 "Daily" ///
	3 "Weekly" ///
	4 "Every two weeks" ///
	5 "Twice per month" ///
	6 "Monthly" ///
	7 "Quarterly" ///
	8 "Biannual" ///
	9 "Annually" ///
	10 "Other" 
label val UNITWAGE_1 unitwage
label var UNITWAGE_1 "Time unit for wage, Primary job"
label var WHOURS_1 "Hours worked last week, Primary job"
label val SOU_AGRI_1 yn
label var SOU_AGRI_1 "Primary job, income self employed agriculture"
label val SOU_NFARM_1 yn
label var SOU_NFARM_1 "Primary job, income self employed non-agriculture"
label val SOU_WAGE_1 yn
label var SOU_WAGE_1 "Primary job, income wage non-agriculture"
label val UNEMPLOYED_ILO yn
label var UNEMPLOYED_ILO "Unemployed ILO"
label val EMPLOYED_WB yn
label var EMPLOYED_WB "Employment WB"
label val UNEMPLOYED_WB yn
label var UNEMPLOYED_WB "Unemployment WB"
label val LABFORCE_WB yn
label var LABFORCE_WB "Laborforce participation WB"
label var HOUR_NECON "Hours spent per week on non-economic activities"
label val EMPTYPE_WB_2 emptype_wb
label var EMPTYPE_WB_2 "Type of employment, Secondary job"
label var EMP_IND_SVY_2 "Industry classification, Secondary job"
label var INDUSTRY_2 "1 digit industry classificaton, Secondary job"
label val EMPFRM_2 yn
label var EMPFRM_2 "Farm employment, Secondary job"
label val EMPSEC_2 empsec
label var EMPSEC_2 "Employment sector, Secondary job"
label var EMP_CAT_2 "Employment categories, Secondary job"
label val EMP_CAT_2 emp_cat
label var EMP_CAT_2 "Employment categories, Secondary job"
label var WAGE_2 "Last week wage payment in nominal local currency, Secondary job"
label val UNITWAGE_2 unitwage
label var UNITWAGE_2 "Time unit for wage, Secondary job"
label var WHOURS_2 "Hours worked last week, Secondary job"
label val SOU_AGRI_2 yn
label var SOU_AGRI_2 "Secondary job, income self employed agriculture"
label val SOU_NFARM_2 yn
label var SOU_NFARM_2 "Secondary job, income self employed non-agriculture"
label val SOU_WAGE_2 yn
label var SOU_WAGE_2 "Secondary job, income wage non-agriculture"
*-------------------------------------------------------- 
order COUNTRY REGION PROVINCE DISTRICT HID SURVEYR RURURB WTA_HH INDID ///
	SEX RELAT HEAD MARSTAT AGEY LITERACY EVERATTD EDLEVEL_AR EDYEARS ///
	FDPINDEX CPI2005_DEF PPP2005 EMPLEDU SVYAGE EMPLEDU_TU EMPLEDU_TIME ///
	EMPLEDU_CER EMPLEDU_SCHLTYP APPREN WORKED_Y WORKED_7 ABSENT ///
	LOOKJOB_TU LOOKJOB FETCHWOOD FETCHWATER NOTLAB_WB EMPLHOME EMPTYPE_WB_1 ///
	EMP_IND_SVY_1 INDUSTRY_1 EMPFRM_1 EMPSEC_1 CONTRACT EMP_CAT_1 ///
	WAGE_1 UNITWAGE_1 WHOURS_1 SOU_AGRI_1 SOU_NFARM_1 SOU_WAGE_1 ///
	UNEMPLOYED_ILO EMPLOYED_WB UNEMPLOYED_WB LABFORCE_WB ///
	HOUR_NECON EMPTYPE_WB_2 EMP_IND_SVY_2 INDUSTRY_2 EMPFRM_2 ///
	EMPSEC_2 EMP_CAT_2 WAGE_2 UNITWAGE_2 WHOURS_2 SOU_AGRI_2 SOU_NFARM_2 SOU_WAGE_2
	
keep COUNTRY REGION PROVINCE DISTRICT HID SURVEYR RURURB WTA_HH INDID ///
	SEX RELAT HEAD MARSTAT AGEY LITERACY EVERATTD EDLEVEL_AR EDYEARS ///
	FDPINDEX CPI2005_DEF PPP2005 EMPLEDU SVYAGE EMPLEDU_TU EMPLEDU_TIME ///
	EMPLEDU_CER EMPLEDU_SCHLTYP APPREN WORKED_Y WORKED_7 ABSENT ///
	LOOKJOB_TU LOOKJOB FETCHWOOD FETCHWATER NOTLAB_WB EMPLHOME EMPTYPE_WB_1 ///
	EMP_IND_SVY_1 INDUSTRY_1 EMPFRM_1 EMPSEC_1 CONTRACT EMP_CAT_1 ///
	WAGE_1 UNITWAGE_1 WHOURS_1 SOU_AGRI_1 SOU_NFARM_1 SOU_WAGE_1 ///
	UNEMPLOYED_ILO EMPLOYED_WB UNEMPLOYED_WB LABFORCE_WB ///
	HOUR_NECON EMPTYPE_WB_2 EMP_IND_SVY_2 INDUSTRY_2 EMPFRM_2 ///
	EMPSEC_2 EMP_CAT_2 WAGE_2 UNITWAGE_2 WHOURS_2 SOU_AGRI_2 SOU_NFARM_2 SOU_WAGE_2
*-------------------------------------------------------- 
sort HID INDID 
count
*number of observations - 26,411
save 04_AGGDATA\GHA_1998_L, replace
erase 04_AGGDATA\GHA_L.dta
